
-- $Name:Прабабкин сундук$
game.codepage="UTF-8";
game.act = "Не получилось.";
game.inv = "Странная штука.";
game.use = "Думаю, не стоит этого делать.";
game.dsc = [[ Авторы: Роман и Яна Булыгины ]];

-- Глобальные события

game._yamySeen = false; -- бабка пожаловалась, что копают, стала замечать раскопанную землю и места для раскопок

game._babaSay = false; -- Бабка указала на южный берег
game._wrongPlace = false; -- Убедилась, что бабка соврала
game._fear = false; -- Боится деда
game._placeFound = false; -- Увидала картину в избушке лесника

game._meetBtard = false; -- Встретили голодного /б/итарда
game._supGotov = false; -- Суп готов и налит в бидон
game._detectOption = false; -- Возможно детектировать вещи после разговора про ямы
game._canDigThreasure = false; -- Возможно копать сундук, если битард ушёл
game._follow = false; -- Семён теперь следует за нами
game._haveGun = false; -- Взяли автомат, можно идти к людоеду
game._semenUProhor = false; -- Семён пошёл к Прохору


---------------------- Общие функции--------------------------------------

function CndRet(c, t, f)
	-- c - condition, t - true ответ, f - false ответ
	if c then
		return t;
	end
	return f; 
end;

function DoPlaceFound()
	game._placeFound = true;
	ways('rLakeS'):add('rWhiteStone', 2);
end;

function DedNotFixed()
	return objs('rIzbushkaIns'):look('npcDed') and not npcDed._fixed;
end;

function GotoTrap()
	ways('npcDedDlg'):del('rDedDom');
	-- Это злодей!
	npcDedDlg._Zlodey = true;
	game._fear = true; -- Стала бояться деда
	-- Переместить деда в домик
	movef('npcDed', 'rIzbushkaIns', 'rDedDom');
	npcDedDlg:prem(2,3,5,6,7,8,9,10,11);
	npcDedDlg:pon(21,22,23); 
	
end;

function IsLakeKoza()
	local k = objs('rLakeY'):srch('oLakeKoza');
	return k and (ref(k)._seen > 0); 
end;

function ActFood(s, d, o)
-- s объект, d описание взятия объекта, o описание объекта
	return	function(s)
			if IsLakeKoza() or game._meetBtard then
				if game._supGotov then
					return o..' Мне это не нужно, я уже готовила.';
				elseif s._haveIt then
					return o..' Это у меня уже есть.';
				end
				s._haveIt = true;
				inv():add(s);
				return d
			end
			return o;
		end
end;


function IsName(t, f)
	return CndRet(npcDed._Name, t, f)
end;


function RandomLocation(...)
	local num = rnd(1000);
	local d = 1000 / table.maxn(arg);
	local i;
	for i = 1, table.maxn(arg) do 
		if num < i*d then
			return arg[i];
		end
	end
	-- Наверное никогда не достигнем, но на всякий случай..	
	return arg[table.maxn(arg)];
end;


function DoStartBoat(b, d)
	if me().where ~= 'rLake' then
		-- b - объект лодка , d - описание момента отплытия
		putto(objs():del(b), 'rLake', 1);
		return d..goto('rLake');
	end
end;

function GribAction(s, o, d)
-- s объект, o основное описание объекта, d дополнительное приглашение срезать
	if game._meetBtard and not (game._supGotov or oGriby._haveIt) then
	    inv():add(s);
		return o..' '..d
	end
	return o;	
end;


function GribAct(s, d, g)
	return  function(s)
			return GribAction(s, d, g)
		end
	
end;


function LakeTraversed()
	return (rLakeSZ._seen
		and rLakeS._seen
		and rLakeSV._seen
		and rLakeZ._seen
		and rLakeV._seen
		and rLakeYZ._seen
		and rLakeY._seen
		and rLakeYV._seen);
end;


function WhereIsChurch()
	if not game._babaSay and LakeTraversed() then
		return 'Где же церковь? Обошла всё озеро и не нашла.^^'
	end
	return ''
end;


function CndAction(v, t, f)
-- v - имя условной переменной (строка), t и f то, что возвращается в результате
	return	function(s)
			return CndRet(s[v], t, f)
 		end
end;


function DoAddLakeOgorod()
	-- Это добавляется в момент разговора с бабкой
	game._babaSay = true; 
	objs('rLakeY'):add('oLakeOgorod');
end;


function UseWarDetect(f)
	-- f - фраза, которую говорит битард при определении
	return	function(s, w)
			if game._detectOption 
			and (not s._seen) 
			and (w == 'npcBtard') then
				s._seen = true;
				return f
			end
		end
end;

function NamActInvCnd(u, k)
	-- u - вещь неизвестна, k - известна
	return	function(s)
			return CndRet(s._seen, k, u)
		end
end;


function DoAddDed()
	-- В пути с крыльца и в пути с деревни добавляем путь к соседу
	ways('rBabaEnter'):add(rDed);
	ways('rDerevnya'):add(rDed);
	-- Из деревни виден дом деда
	objs('rDerevnya'):add(oDerevnyaDedDom, 2)
end;


function ThisPlaceIsWrong()
	game._wrongPlace = true;
	-- Бабка пошлёт к соседу. 
	npcDusaDlg:pon(15);
end;


function ActTakeOnce(s, d, t)
-- s - объект, d --общее описание t - описание при подборе
	return	function(s)
			if inv():look(s) then
				return d
			end
			inv():add(s);
			return t
		end
end;

function GetProductName(result)
	-- нечто с..
	if result == -1 then
		return ' водой.'
	elseif result == 0 then
		return ' пресным варевом.' 
	elseif result == 1 then
		return ' отварной картошкой.' 
	elseif result == 2 then
		return ' овощным супом.' 
	elseif result == 3 then
		return ' грибным супом.' 
	elseif result == 4 then
		return ' ухой.'
	elseif result == 5 then
		return ' ведьминым варевом. @_@ Но, вроде, съедобно.'		
    elseif result == 6 then
		return ' очень лёгким овощным супчиком (для тех, кто на диете).' 
	elseif result == 7 then
		return ' низкокалорийным грибным супчиком.' 
	elseif result == 8 then
		return ' отварной рыбой.' 
	elseif result == 9 then
		return ' с ведьминым варевом (для тех, кто на диете).'  
	end
	return ' с супом.' 
end;

function GetKastrulaDescription(s)
		if s._state == 0 then
			return 'Чистая и готова к употреблению!';
		elseif s._state == 1 then
			local solenoy = '';
			local kartoshkoy = '';
			local morkovju = '';
			local lukom = '';
			local zelenju = '';
			local gribami = '';
			local ryboy = '';
			if s._sol then
				solenoy = ' солёной';
			end
			if s._kartoshka then
				kartoshkoy = ', картошкой';
			end
			if s._morkov then
				morkovju = ', морковью';
			end
			if s._luk then
				lukom = ', луком';
			end
			if s._zelen then
				zelenju = ', зеленью';
			end
			if s._griby then
				gribami = ', грибами';
			end
			if s._ryba then
				ryboy = ', рыбой';
			end
			return 'Кастрюля с'..solenoy..' водой'..kartoshkoy..morkovju..lukom..zelenju..gribami..ryboy..'.';
		end
		return 'Кастрюля с'..GetProductName(s._result); 

end;


me().nam = "Аня Лиходеева";



-- Локации

main = room {
	nam = 'Прабабкин сундук',
	dsc = [[ПРОЛОГ^^]]..txtem([[<<... Хотели всё отнять, что у нас было. Те драгоценности, конечно, денег стоили немалых;
	 но в жизни бы я не стала продавать их. Мне они достались от матери, ей от бабки. 
	Это не вещи, а часть наших предков. Так я грешным делом запрятала в сундучок
	и зарыла у Лесного озера. От церквушки заброшенной сотня шагов к северу, возле белого камня...>>^]])..
	[[Прабабушку раскулачили, когда к власти пришли большевики. После этого она прожила недолго. Всё, что
	осталось в память о ней, - потрёпанная Библия, чудом сохранившаяся как раритет. Никто туда не заглядывал.
	И вот я в последнюю неделю летних каникул пролистывала старые книги и нашла...
	Да, записку о том, где лежит клад.^
	Родители не поверили даже тогда, когда я показала им, что Лесное озеро - 
	это не озеро в лесу, а оз. Лесное, и такое есть в 3 км от бывшей прабабушкиной усадьбы. В конце концов
	они просто дали мне денег на поездку, но через 3 дня начнётся новый учебный год, и мне в любом случае 
	придётся закончить экспедицию.]],
	obj = { vobj(1,"Начать игру","{Начать игру}.") },
	act = function()
		days.object_type = false;
		inv():add('days');
		return goto('rBaba');
	end,
	
};


days = obj {
	nam = function(s) 
		if s._day == 1 then
			return 'День первый^'
		elseif s._day == 2 then
			return 'День второй^'
		end
		return 'День третий^'
	end,
	_day = 1,
	inv = 'Время на вес золота.',

};

rDerevnya = room {
	nam = 'Лиходеевка',
	dsc = 'Небольшая деревушка раскинулась недалеко от озера.',
	act = function(s, w)
		if w == 1 then
			return 'Тут я сейчас живу. Или, точнее, ночую.'
		elseif w == 2 then
			return [[Тропинка на станцию натоптана и наезжена больше всех. 
				Тропинка, ведущая в поле, наоборот, хоть и была когда-то просёлочной дорогой, 
				но сейчас заросла и выделяется лишь сорняками, растущими вместо луговых трав]]
		end
	end,
	obj = {
		vobj(1, 'дом1', 'Крайний выкрашенный извёсткой {дом с подсолнухами} за забором - бабы Дуси.'),
		vobj(2, 'тропинки', '^От главной улицы разбегаются {тропинки}. Одна идёт в лес, другая в поле, а третья - на железнодорожную станцию.'),
	},
	way = {'rBabaEnter', 'rPole', 'rLakeV', 'rStation'},
	exit = function(s, t)
		if t == 'rDed' and game._fear and game._semenUProhor and not oMachineGun._Test then
	 		return 'Семён долго не возвращается... Неужели людоед его сожрал?! И меня сожрёт, если сунусь!', false
	 	end
	 	
	 	if t == 'rDed' and game._fear and game._semenUProhor and oMachineGun._Test then
	 		return 'Семён долго не возвращается... Неужели людоед его сожрал?! Надо идти туда, но сначала проверю автомат.', false
	 	end
	 	
		if t == 'rDed' and game._fear then
			return 'Что-то боюсь я туда идти.', false
		end		
	end
};

oDerevnyaDedDom = obj {
	nam = 'дом',
	dsc = function(s)
		return 'Сразу за ним потемневший, ветшающий {дом'..
			CndRet(npcDed._Name, ' Прохора Владимировича}.', ' соседа-алкоголика}.')
	end,
	act = 'Довольно жалкое, даже убогое зрелище.'
};


rBabaEnter = room {
	nam = function(s)
		if me().where == 'rBabaEnter'
		or me().where == 'rBabaOgorod' 
		or me().where == 'rBaba' then
			return 'Крыльцо'
		end
		return 'Двор бабы Дуси'
	end,
	dsc = 'Крыльцо бабкиного дома.',
	obj = {'oBabaKalitka', 'oBabaNaves', 'oBabaDver', 'oBabaStupeni', 'oBidon'},
	way = {'rBaba', 'rBabaOgorod' },
	exit = function(s, t)
	    if t == 'rDed' and game._fear and game._semenUProhor and not oMachineGun._Test then
	 		return 'Семён долго не возвращается... Неужели людоед его сожрал?! И меня сожрёт, если сунусь!', false
	 	end
	 	
	 	if t == 'rDed' and game._fear and game._semenUProhor and oMachineGun._Test then
	 		return 'Семён долго не возвращается... Неужели людоед его сожрал?! Надо идти туда, но сначала проверю автомат.', false
	 	end
	 	
		if t == 'rDed' and game._fear then
			return 'Что-то боюсь я туда идти.', false
		end		
	end
};



rBabaOgorod = room {
	nam = 'Огород',
	dsc = [[Небольшой огород, окруженный по краям подсолнухами.]],
	obj = {'oKartoshka', 'oMorkov', 'oLuk', 'oZelen', 'oLopata'},
	way = {'rBaba', 'rBabaEnter' }
};


rBaba = room {
	nam = 'Дом бабы Дуси',
	dsc = function()
	        if days._day == 1 then
	            return [[По ночам уже слишком холодно, чтобы спать под 
		открытым небом. На берегу озера расположена небольшая деревенька, 
		и я остановилась у одной местной жительницы, бабы Дуси. К сожалению, на это ушли все деньги. 
		Но обратный билет уже куплен. Что приятно - баба Дуся обещала снабжать меня пищей!
		^В записке сказано, что клад зарыт неподалёку от церкви, которая находится на берегу озера.]]
		    end
		    if days._day == 2 and not game._meetBtard and not game._canDigThreasure then
	            return [[Как хорошо в деревне: ни тебе шума машин, ни школы с противными уроками.
	            Сегодня клад будет моим! Я видела на картинке, что церковь стояла возле громадного
	            дуба. ]]
		    end
		    if days._day == 2 and game._meetBtard and not game._canDigThreasure then
	            return [[Как заставить этого вредного типа убраться от камня? Вот вопрос! ]]
		    end
		    if days._day == 2 and game._meetBtard and game._canDigThreasure then
	            return [[Чего я жду?!! Время выкапывать клад! ]]
		    end
		    
		    if days._day == 3 and game._semenUProhor and not have(oSunduk) then
	            return [[Семёна слишком долго нет! Я нервничаю... ]]
	        end
	            
	        if days._day == 3 and not game._semenUProhor and not have(oSunduk) then
	            return [[Проплакала всю ночь, лицо распухло. Надо взять себя в руки и не раскисать!
	            Наверно, слишком опасно пытаться отнять сундук у людоеда. Жизнь и здоровье
	            важнее драгоценностей, правда? Просто отдохну денёк перед школой. ]]
		    end
		    
		    if have(oSunduk) then
		        return [[Пора собираться домой! Часа через три пойду на станцию.]]
		    end
		    return [[Моё временное пристанище - дом Авдотьи Михайловны. Здесь я чувствую себя в относительной безопасности. ]]
    end,
	obj = { 'oPech', 'oSamogon', 'oBad', 'oBag', 'npcDusa', 'oPlita', 'oVedro', 'oKastrula', 'oSol' },
	way = {'rBabaOgorod', 'rBabaEnter'},
};

rDed = room {
	nam = function(s)
		if me().where == 'rDed'
		or me().where == 'rDedSaraj' 
		or me().where == 'rDedDom' then
			return 'Соседский двор'
		end
		if npcDed._Name then
		    return 'К соседу Прохору'
		end
		return 'К соседу'		
	end,
	dsc = [[ Унылое место. Но привольное. Сосед совсем забросил хозяйство! ]],

	obj = {'oDedDom', 'oDedOkna', 'oDedDoski', 'oDedLebeda', 'oDedSaraj', 'oDedKolodec', 'oDedYama'},
	way = {'rBabaEnter', 'rDerevnya', 'rDedSaraj', 'rDedDom'}
};

oDedDom = obj {
	nam = 'дом',
	dsc = 'Посреди двора стоит {дом}',
	act = 'Неокрашенный, рассохшийся, дом стоит на высоком фундаменте с ободранной завалинкой. От этого кажется, будто он смотрит сверху вниз с вытянутой шеи.',
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,

};

oDedOkna = obj {
	nam = 'окна',
	dsc = 'с тёмными {окнами} без ставен.',
	act = [[Пара стёкол выбиты, вместо них вставлена тёмная от времени фанера. Одно окно заклеено выцветшими газетами.
		С них под заголовком <<МИХАИЛ СЕРГЕ.. генеральный сек...>> грустно взирает на мир перевёрнутый портрет лысого человека.]],
    used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};

oDedDoski = obj {
	nam = 'дом',
	dsc = 'К нему ведёт {дорожка из досок}.',
	act = 'Гнилые доски небрежно брошены когда-то на землю и крепко втоптаны в грязь.',
	used = function(s, b)
	            if b == 'oLopata' then
	                return 'Не буду портить дорожку.'
	            end
	end,
};


oDedLebeda = obj {
	nam = 'огород',
	dsc = 'Слева - заросший лебедой и крапивой {огород}.',
	act = 'Вместо множества грядочек, для которых место выкраивается любой ценой, кусок дикого поля с парой чахлых яблонь посреди. Делать там нечего, разве что бутылки в траве собирать.',
	used = function(s, b)
	            if b == 'oLopata' then
	            return 'Влетит, если раскопаю.'
	        end
	end,
};


oDedSaraj = obj {
	nam = 'сарай',
	dsc = 'Справа - покосившийся {сарай}.',
	act = 'Передняя стена сарая наклонилась, ворота перекошены. Одна створка распахнута и заклинила - за счёт этого весь сарай и держится!',
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};


oDedKolodec = obj {
	nam = 'колодец',
	dsc = 'У самого дома {колодец}.',
	_mavk_counter = 3,
	_mavk = true,
	act = function(s)
		-- Мавка в колодце
		if s._mavk then
			if s._mavk_counter == 0 then
				s._mavk = false; -- Мавку можно увидеть только один раз
				return [[Странная девушка смотрит из воды со дна колодца. Глазищи огромные, притягивающие взгляд.
				Длинные чёрные влажные волосы рассыпались по неестественно белым обнажённым плечам.^
				Заметив меня, девушка будто прошептала что-то, а затем без всплеска
				погрузилась в чёрную воду и исчезла в глубине.^^
				Ничего себе! Померещилось?.. О_о]]
			end
			s._mavk_counter = s._mavk_counter-1
		end
		return 'Деревянный сруб колодца едва возвышается над землёй и ничем не закрыт. Прямо ловчая яма. Внизу чёрная гладь воды.'
	end,
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};


oDedYama = obj {
	nam = 'яма',
	dsc = 'В центре двора {яма с мусором}.',
	act = 'Фу-у! Помойная яма прямо посреди двора! Это ж надо опуститься до такого!',
	used = function(s, b)
	            if b == 'oLopata' then
	            return 'Что б я - и копаться в мусоре?!!!'
	        end
	end,
};


rDedSaraj = room {
	nam = 'Сарай',
	dsc = [[Похоже, раньше это была хлев. С тех времён остался слабый специфический запах и хорошо унавоженный пол. 
		А сейчас хозяин устроил здесь гараж.]],
	obj = {'oDedSeno', 'oDedAuto'},
	way = {'rDed', 'rDedDom'}
};


oDedSeno = obj {
	nam = 'сено',
	dsc = 'На полу остатки перепревшего {сена}.',
	act = function()
		if not have('oDedOchki') then
			objs():add(oDedOchki);
			return [[Вообще-то, эта труха гордого имени <<сено>> совершенно не достойна...
			Стоп! Здесь что-то есть. Старенькие очки для подводного плавания.]];

		end
		return 'Вообще-то, эта труха гордого имени <<сено>> совершенно не достойна.';
	end,
	used = function(s, b)
	            if b == 'oLopata' then
	            return 'Тут вилы нужны, а не лопата.'
	        end
	end,
};


oDedAuto = obj {
	nam = 'машина',
	dsc = 'Посредине красуется {автомобиль}.',
	act = [[Совершенно убитый голубой <<Запорожец>>. Поблёклая краска; одного колеса нет; 
		заднего крыла тоже нет; передняя панель всмятку и капот гармошкой. 
		Неудивительно, что дорожка к гаражу заросла.]],
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};

oDedOchki = obj {
	nam = 'подводные очки',
	dsc = 'В сене закопаны {очки} для подводного плавания.',
	tak = 'Возьму на время, никто и не заметит.',
	inv = function()
	        if not oDedOchki._Get and (me().where == 'rWater' or me().where == 'rLake') then
	            oDedOchki._Get = true;
	            return 'Одела очки, могу теперь исследовать дно.'
	        end
	        if oDedOchki._Get then
	            oDedOchki._Get = false;
	            return 'Снимаю очки.'
	        end
	        return [[Старенькие очки для подводного плавания. Мне в самый раз! Наверно, летом у соседа гостили внуки и оставили. ]]
	end,
	used = function(s, b)
        if b == 'oLopata' then
            return 'Лопатой по очкам не надо.'
        end
    end,		
};



rDedDom = room {
	nam = 'Соседский дом',
	dsc = function()
	    if oMachineGun._Tested then
	        return [[Полная решимости пристрелить Прохора, если тот хоть шаг сделает в мою сторону, я пробираюсь в дом. Боже, неужели он съел Семёна? Слышу голоса. Значит, не съел. Голоса звучат неподобающе дружелюбно, это больше напоминает светскую беседу, чем вопли ужаса и мольбы о пощаде. Но враг коварен! Выдыхаю с облегчением. С ужасом понимаю, что не пристрелю Прохора, даже если он автомат у меня отнимать будет. Ну, не могу я убить человека. А сундук забрать надо! Зря я, что ли, сюда пришла?!
	        ^^В дом ведут три ступени. Сразу за входной дверью стоит большая печь, заваленая барахлом. Она делит помещение на две части. ]]
	    end
	    return 'В дом ведут три ступени. Сразу за входной дверью стоит большая печь, заваленая барахлом. Она делит помещение на две части.'
	end,
	obj = {'oDedDomSkamja', 'oDedDomPogreb', 'oDedDomProvoda', 'oDedDomTelek', 'oDedDomTahta', 'oDedDomBoyaryshnik', 'npcDed' },
	way = {'rDed', 'rDedSaraj' },
};



oDedDomSkamja = obj {
	nam = 'скамья',
	dsc = 'В прихожей вдоль стены втиснулась {скамья} наподобие тех, что ставят в банях.',
	act = 'А может, это и была раньше баня? На двух кирпичах водружена электрическая плитка, дальше сковорода, чайник и тёмный угол с паутиной.'
};


oDedDomPogreb = obj {
	nam = 'погреб',
	dsc = 'В проходе между комнатами находится открытый {лаз под пол}.',
	act = 'Вниз уходит лестница, но кроме нескольких верхних ступенек в темноте ничего не видно.',
};


oDedDomProvoda = obj {
	nam = 'провода',
	dsc = [[Жилая комнатка неожиданно уютная. Стены оклеены трогательными обоями в цветочек,
		даже не очень грязными, поверх которых тянутся {чёрные шнуры проводов} к лампочке на
		потолке и к розетке.]],
	act = 'Как будто швы на лицевой стороне одежды.'
};


oDedDomTelek = obj {
	nam = 'телек',
	dsc = 'В неё включен допотопный {телевизор}.',
	act = 'Он работает и вещает что-то о мире животных. Я бы не отказалась посмотреть.'
};


oDedDomTahta = obj {
	nam = 'тахта',
	dsc = 'Застеленная тахта и пружинная высокая {кровать} разделены тумбой.',
	act = 'Служит хранилищем одежды.'
};


oDedDomBoyaryshnik = obj {
	nam = 'боярышник',
	dsc = 'В углу, за холодильником, залежи пустых пузырьков из-под {настойки боярышника}.',
	act = 'Алкаши скупают её в аптеках ради спирта.'
};


rIzbushka = room {
	nam = function(s)
		if me().where == 'rIzbushkaIns' then
			return 'Наружу'
		elseif me().where == 'rLakeZ' then
			return 'Звериный лаз' 
		end
		return 'Избушка лесника'
	end,
        dsc = [[Изба лесника стоит здесь не менее столетия. Со всех сторон она окружена лесом. 
		На восток, однако, виден просвет, заваленый сухими деревьями. За буреломом виден блеск озёрной воды.
		Туда убегает еле заметная тропка.]],
	obj = { 'oIzbushkaSrub', 'oIzbushkaLes', 'oIzbushkaGolubika', 'oIzbushkaPoganki' },
	way = { 'rIzbushkaIns', 'rLakeZ' },
	enter = function (s, f)
		ways('rIzbushka'):del('rLesY');
		ways('rIzbushka'):del('rLesS');
		ways('rIzbushka'):add(RandomLocation('rLesS', 'rLesY'));
	end,
 	exit = function(s, t)
 		if days._day == 1 then
 			if t == 'rLakeZ' then
 				if game._placeFound then 
 					return goto(rDayOne)
 				end
 				return goto(resMiliciya)
 			elseif t == 'rLesY' or t == 'rLesS' then
 				return 'По-моему, домой - в другую сторону.', false;
 			end 
 		end
 	end,
};

oIzbushkaSrub = obj {
	nam = 'сруб',
	dsc = [[Вросший в землю по самые окна почерневший {сруб}, накрытый
		сверху накатом брёвен и мхом. Над ним пятно синего неба - и пошёл дальше сплошной низкий зелёный потолок...]],
	act = 'Хорошее место для игр, страшное... Только вот сейчас мне на самом деле страшно!',
};


oIzbushkaLes = obj {
	nam = 'лишайники',
	dsc = 'Лес дремучий, мрачный, деревья почти не пропускают света. Стволы обильно покрыты {лишайниками}.',
	act = 'Вроде как по расположению лишайников определяют стороны горизонта.',
};

oIzbushkaGolubika = obj {
	nam = 'голубика',
	dsc = 'Кое-где встречаются {голубика}',
	act = 'Продолговатые ягодки цвета озера... Эх, в горло не лезет сейчас!',
};

oIzbushkaPoganki = obj {
	nam = 'поганки',
	dsc = 'и {поганки}.',
	act = 'Тоненькие ножки в юбочках... Кокетливые ведьмочки...',
};


rIzbushkaIns = room {
	nam = function(s)
		if me().where == deref(s) then
			return 'В избушке лесника'
		end
		return 'Внутрь избушки'
	end,
	dsc = [[Полумрак, свет плохо проникает сквозь окна. Потолок просевший, низкий, <<давит>> на голову. ]],
	obj = { 'oIzbushkaBryovna', 'oIzbushkaOkoshki', 'oIzbushkaNory', 'oIzbushkaSkatert', 'oIzbushkaObed', 'oKnife', 'oIzbushkaDver', 'oIzbushkaPicture' },
	way = {},
	exit = function(s, t)
		if DedNotFixed() then
			return 'Уйти и оставить за спиной ЭТОГО? А вдруг он сейчас очнётся?', false
		end
	end,
};

oIzbushkaBryovna = obj {
	nam = 'брёвна',
	dsc = '{Брёвна} избушки неплотно прилегают друг к другу.',
	act = [[ Между брёвнами прослойки беловатого мха, похожего на вату. Местами он клочьями свисает до пола.
		Дерево покрыто мелкими круглыми отверстиями - постарался жук-древоточец.]],
};

oIzbushkaOkoshki = obj {
	nam = 'окошки',
	dsc = '{Окошки} махонькие, незастеклённые.',
	act = 'Под окошками на полу куча хвои и т.п. мусора.',
};

oIzbushkaNory = obj {
	nam = 'норы',
	dsc = 'Естественно, никакого электричества. По углам темнеют какие-то провалы, похоже, крысиные {норы}.',
	act = 'Бедняжки, не достанется им погрызть моих косточек!',
	used = function(s, b)
	    if b == 'oLopata' then
	        return 'Пусть уж крыски сами свои норы копают.'
	    end
	end,
};

oIzbushkaSkatert = obj {
	nam = 'скатерть',
	dsc = 'Очень много мух - особенно у стола, где на замызганной {скатерти} сохранились',
	act = 'Прочный клеёнчатый материал с красными и синими полосочками, по сгибам короткие неровные трещины.',
};

oIzbushkaObed = obj {
	nam = 'обед',
	_napolu = false,
	dsc = function(s)
		return CndRet(s._napolu, 'Около нор {остатки обеда}, окружённые мухами.', 'остатки {обеда} невесть какой давности.');
	end,
	act = function(s)
		return CndRet(s._napolu, 'Кушайте, крыски!', 'Обычная тарелка с засохшим желтоватым рисом, плёнкой жира и редкими, скрюченными ниточками мяса. Плов. Был.')
	end,
	used = function(s, b)
	    if b == 'oLopata' then
	        return 'Зачем же копаться в этой гадости?'
	    end
	end,
};

oIzbushkaDver = obj {
	nam = 'дверь',
	dsc = function(s)
		if ways():look('rIzbushka') then
			return 'Низенькая {дверь} с засовом ведёт наружу.'
		end
		return 'Низенькая дверь {заперта} изнутри.'
	end,
	act = function(s)
		local action = ' крепится';
		if not ways():look('rIzbushka') then
			-- Связываем избушку с остальным лесом
			ways():add('rIzbushka');
			ways('rLakeZ'):add('rIzbushka', 2);
			putto('oLakeLaz', 'rLakeZ', 2);
			action = ' проворно движется для своего возраста... Фуух, открылся! Крепится';
		end
		
		return 'Ржавый засов'..action..[[ на двух гвоздях, один из которых наполовину вылез.
			В общем, ненадёжен. Снаружи замка нет.]]
	end,
	used = function(s, b)
	    if b == 'oLopata' or b == 'oKnife' or b == 'oShest' or b == 'oVesla' then
	        return 'Засов не надо ломать, его можно открыть.'
	    end
	end,
};


oIzbushkaPicture = obj {
	nam = 'картина',
	dsc = 'На стене висит {потемневшая картина}.',

	act = function(s)
		DoPlaceFound();
		return [[Сквозь патину трещин и наслоения вековой копоти проглядывает простой сельский пейзаж.
		У берега озера, выглядывая из-за раскидистого дуба, стоит небольшая нарядная церковь.
		Солнечный день. Золотой крест плывёт в облаках, а его отражение в водах озера. 
		Перед церковью изображены люди, видимо, какой-то праздник...^
		В рисунке чувствуется рука мастера. И будто бы я это место уже видела... Ну конечно! Теперь я
		знаю, где была церковь!]];
	end,
};


rWhiteStone = room {
	_wasHere = false,
        nam = function(s)
		if s._wasHere then
			return 'Белый камень';
		end
		return 'Сто шагов на север';
	end,
        dsc = [[К северу от дуба проводилась вырубка, торчат пеньки. За <<плешкой>> детский сад -
		высажены молоденькие сосны, летают стрекозы и
		местами проступает песок.]],
	obj = { 'oThreasureStone', 'oWhiteStoneIvanchai', 'oWhiteStoneMalina', 'oWhiteStoneYamy', 
		'oWhiteStoneMozzevelnik', 'oWhiteStonePalatka', 'oWhiteStoneShmel', 'npcBtard', 'oWhiteStoneBichpacket' },
	way = { 'rLakeS', 'rLesS' },
	enter = function(s, f)
		s._wasHere = true;
		game._meetBtard = true;
	end
};


oThreasureStone = obj {
	nam = 'камень',
	_diged = false,
	dsc = 'К {белому камню}',
	act = [[Камень имеет треугольную форму, довольно ровный и незначительно выступает из-под земли.]],
	
};

oWhiteStoneIvanchai = obj {
	nam = 'иван-чай',
	dsc = 'ластятся отцветший {иван-чай}',
	act = [[А что если правда заварить чаёк?]],
	
};

oWhiteStoneMalina = obj {
	nam = 'малина',
	dsc = function()
	        if days._day == 3 then
	            return 'и кустики дикой малины. Там {всё перекопано}.'
	        end
	        return 'и кустики {дикой малины}.'
	end,
	act = function()
	        if days._day == 3 then
	            return 'Следы моих вчерашних трудов.'
	        end
	        return [[Малина здесь мелкая, по пять-семь <<зёрнышек>>, но душистая! Жаль, начала сохнуть. Веточки облюбовали
	зелёные лесные клопы. Моя сесть под куст и есть малину!]]
	end,
	
};

oWhiteStoneYamy = obj {
	nam = 'ямы',
	dsc = 'За ним, прямо под деревьми, серия неглубоких недавно вырытых {ям}.',
	act = function()
	        if days._day == 3 then
	            return 'Это Семён археологией занимался.'
	        end
	        return [[Клада ведь там не было... Правда?!]]
	end,
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Поздняк метаться!'
	        end
	end,
};

oWhiteStoneMozzevelnik = obj {
	nam = 'можжевельник',
	dsc = 'Роскошный куст {можжевельника} увешан тёмными ягодками и паутиной с жирным, омерзительным пауком.^',
	act = [[Колючки собраны по три, весь куст имеет очертания кокона.]],
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Да, неплохо было бы выкопать его и посадить у меня в комнате в ведёрке, только бы без пауков.'
	        end
	end,
};

oWhiteStonePalatka = obj {
	nam = 'палатка',
	dsc = 'Прямо около камня стоит {палатка}. ',
	act = function()
	        if not npcBtard._Hungry then
	            return 'Палатка знатная. Тяжёлая, хитрая, никак даже армейская.'
	        end
	        return [[Это ж надо было, чтобы именно здесь этот придурок её поставил!!! А палатка знатная. Тяжёлая, хитрая, никак даже армейская.]]
	end,
	used = function(s, b)
	        if b == 'oLopata' and not game._canDigThreasure and days._day <3 then
	            return 'При свидетелях нельзя. Всякое может быть: парень захочет свою долю или и того хуже.'
	        end
	        if b == 'oLopata' and days._day > 2 then
	            return 'Я уже откопала сундук.'
	        end
	end,
};


oWhiteStoneShmel = obj {
	nam = 'шмель',
	dsc = 'Перед палаткой установлен {<<шмель>>}.',
	act = [[Старый, добрый примус, у меня такой же дома есть. Адская машина!..]],
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};



oWhiteStoneBichpacket = obj {
	nam = 'супчик',
	dsc = 'и с ненавистью смотрит на {пакет супчика} быстрого приготовления.',
	act = [[БОМЖ-пакет обыкновенный. Лапша, концентрат куриного запаха и пальмовое масло.]],
	used = function(s, b)
        if b == 'oLopata' then
            return 'Это некопаемо. Некопабельно. Короче, не могу я это копать!'
        end
    end,
};


rPalatka = room {
        nam = 'Палатка',
        dsc = [[В палатку можно забраться, только пригнувшись. Атмосфера там, как в кровати,
		когда совьёшь себе гнездо и сидишь днём среди подушек, читаешь.]],
	obj = { 'oPalatkaMeshok', 'oPalatkaOkno', 'oPalatkaSviter', 'oPalatkaLopata', 'oPalatkaSapogi', 'oPalatkaKniga', 'oPalatkaKompas', 'oNotebook', 'oPalatkaMusor' },
	way = { 'rLakeS', 'rWhiteStone' }
};

oPalatkaMeshok = obj {
	nam = 'спальный мешок',
	dsc = 'Большую часть площади занимает {спальный мешок}.',
	act = [[Можно поиграть в хот-дог. :)]],
};

oPalatkaOkno = obj {
	nam = 'окно',
	dsc = 'Пол в палатке тканевой, прорезиненный. Имеется полиэтиленовое квадратное {окошко}. В раскрытую сумку сложены всевозможные вещи:',
	act = [[Из-за отблесков в него плохо видно, но это лучше, чем вообще ничего. При желании окошко можно закрыть.]],
};

oPalatkaSviter = obj {
	nam = 'свитер',
	dsc = '{свитер},',
	act = [[Вот, не мёрзла же, а увидела - сделалось зябко и захотелось в тепло!]],
};

oPalatkaLopata = obj {
	nam = 'лопата',
	dsc = 'перепачканная в земле {лопата},',
	act = [[Профессиональный инструмент!]],
};

oPalatkaKasryulka = obj {
	nam = 'кастрюлька',
	dsc = 'маленькая {кастрюлька},',
	act = [[Беленькая, новая, на дне что-то пригорело.]],
};

oPalatkaSapogi = obj {
	nam = 'сапоги',
	dsc = 'резиновые {сапоги},',
	act = [[ Эх, и кто грязные сапоги кладёт в такое место?]],
};

oPalatkaKniga = obj {
	nam = 'книга',
	dsc = '{книга},',
	act = [[Стандарты программирования на C++. Отпечаток в виде кружочка говорит о том, что на книгу часто ставят чашку с чаем.]],
};

oPalatkaKompas = obj {
	nam = 'компас',
	dsc = '{компас}.',
	act = [[Красная стрелка показывает на запад. И что бы это значило?]],
};



oNotebook = obj {
	nam = '{ноутбук}',
	dsc = 'На спальном мешке стоит включённый {ноутбук}.',
	act = function(s)
		-- До того, как что-то произошло. При первом попадании в палатку после разговора с битардом.
		npcBtardDlg:pon(60);
		return [[В уголке мигает иконка интернет соединения. На экране веб-страничка: столбец каких-то картинок и
			изредка - коментариев. На большинстве картинок певец Валерий Сюткин и аббревиатура <<ББПЕ>>. Большинство
			подписей нецензурного и оскорбительного характера. Хм... Ну и странными же вещами люди в лесу занимаются!]]	
	end
};


oPalatkaMusor = obj {
	nam = 'мусор',
	dsc = 'Из {мешка с мусором} выглядывает обёртка от пакетичного супа.',
	act = function()
	    if oKora._Korpus and not have(oGazeta) and not oKora._Ship then
	        objs():add(oGazeta)
	        return 'Вытащила из мусора газетный лист.'
	    end
	    return [[Ну и что тут у нас? Ничего, кроме разной фигни типа обёрток от супа и колбасных очисток.]]
	end,
};


oGazeta = obj {
	nam = 'газета',
	dsc = '{Газетный лист} вытащен из мусорки.',
	tak = 'Это то, что мне нужно!',
	inv = 'Газетный лист. Мятый немного, но не грязный.',
	use = function(s, b)
	         if (b == 'oLesVetkiS' or b == 'oLakeVetki') then
	            return 'Мачту нужно соединить с парусом. Но не лучше ли сначала установить мачту на корпус?'
	         end
	         if b == 'oMatches' then
	            return 'Но-но, прошу без глупостей! Сжечь газету, которую я так старательно искала?!'
	         end
	end,
	used = function(s, b)
	         if (b == 'oLesVetkiS' or b == 'oLakeVetki') then
	            return 'Мачту нужно соединить с парусом. Но не лучше ли сначала установить мачту на корпус?'
	         end
	         if b == 'oMatches' then
	            return 'Но-но, прошу без глупостей! Сжечь газету, которую я так старательно искала?!'
	         end
	end,
};


oBabaKalitka = obj {
	nam = 'калитка',
	dsc = 'Крыльцо находится прямо перед {калиткой} на улицу.',
	act = function(s)
		if not ways():look('rDerevnya') then
			ways():add('rDerevnya');
			return 'За калиткой видны крыши домов деревни - Лиходеевки.'
		end
		return 'Калитка приоткрыта и легонько поскрипывает, приглашая к путешествию.'
	end,
};

oBabaNaves = obj {
	nam = 'навес',
	dsc = 'Над крыльцом прочный тесовый {навес}.',
	act = function(s)
		if rnd(100) > 90 then
			return 'Уцепилась за поперечину, подтянулась... Правда прочный, даже не заскипел.';
		end
		return 'На потемневшем дереве видны следы былого величия - незатейливая резьба и подраскрошившиеся барельефы.';		
	end
};

oBabaDver = obj {
        nam = 'дверь',
	dsc = 'Сразу от {двери}',
	act = 'Добротная дверь с облупившейся краской. Она не запирается даже на ночь.',
	_locked = false; -- Пока нигде не используется.
};

oBabaStupeni = obj {
	nam = 'ступени',
	dsc = 'пара крепких {ступеней}.',
	act = 'Слегка подвытертые деревянные ступени, изрядно загаженные куриным помётом.'
}




---------- РЕЗУЛЬТАТЫ, промежуточные и окончательные--------------------------
rDayOne = room {
	nam = 'КОНЕЦ ПЕРВОГО ДНЯ',
	dsc = 
	[[Было уже поздно. За сегодняшний день я исходила все окрестности, чудом избежала 
	смерти от рук маньяка и волею судеб, кажется, разнюхала, где находится нужное место.^
	На сегодня хватит приключений! Бегом я отправилась домой, к бабе Дусе.^
	Баба Дуся не поверила моему рассказу.^
	Уже перед сном я ещё раз перебирала в уме все сегодняшние события. Решила не обращаться пока в полицию. 
	Моя цель слишком близка, не время сейчас связываться с этим! Но совесть мучила меня. Как
	там связанный людоед в домике, сможет ли сам выбраться? Я бы не хотела его смерти. И страх
	мучил. Если он выберется, то не поздоровится мне.	
	^Но завтра я всё равно отправлюсь к своему заветному месту!]],
	obj = { vobj(1,"дальше","{Дальше}.") },
	act = function()
		days._day = 2;
		objs(rIzbushkaIns):del(npcDed);
		objs(rDedDom):add(npcDed);
		return goto('rBaba')		
	end,
	enter = function(s)
		s.forcedsc = true;
	end,	

};

rBtardGo = room {
	nam = 'Белый камень',
	dsc = [[Железка произвела впечатление.^^]]..
	[[ Семён заинтересовался:^
		- Это щиток от пулемёта. Где ты его нашла?^
		- С той стороны озера.^
		- Возле гнилого забора?^
		- Примерно там... А что?^^
		Но Семён уже не обращал на меня внимания. <<У забора... У забора...>>, -
		повторяя эти слова, он быстро зашагал в направлении озера.^
		- Ищи меня у гнилого забора! - крикнул он, скрываясь за деревьями.^^
		И щиток унёс, не отдал. Но какая разница, главное он ушёл! Теперь никто не помешает мне достать клад.
	]],
	obj = { vobj(1,"дальше","{Дальше}.") },
	act = function()
		-- Ура! Можно копать сокровища!
		game._canDigThreasure = true;
		objs('rWhiteStone'):del('npcBtard');
		objs('rLakeY'):add('npcBtard');
		ways(npcBtardDlg):del(rWhiteStone);
		ways(npcBtardDlg):add(rLakeY);
		return goto('rWhiteStone');
	end,
	enter = function(s)
		s.forcedsc = true;
	end,
};


rDayTwo = room {
	nam = 'КОНЕЦ ВТОРОГО ДНЯ',
	dsc = 
	[[ Пришлось изрядно попотеть. Сначала было интересно, я вот-вот ожидала увидеть сундук. Но ров
	вокруг каменной глыбы становился всё больше, а толку не было. Ну чёрт,
	а не проще было бы сразу перекопать весь лес? В раздражении я стала больше внимания обращать
	на неприменувшие появиться мозоли на руках, затекающие от неудобной позы ноги.^
	Чем больше уставала, тем глупее выглядела ситуация в моих глазах. Вопрос уже стоял так: КОГДА смириться с
	поражением. Наткнувшись на твёрдый предмет, только выругалась про себя. А потом осенило!^
	Сундучок, который я спустя некоторое время вытащила из земли, был большой шкатулкой. Земля залепила все узоры,
	сделанные на её поверхности, из отверстий под замок торчали ссохшиеся комки земли.^^
	И тут по спине прошёл холодок. Будто меня застали на месте преступления.^
	Я обернулась и увидела людоеда!^
	И кинулась прочь, забыв о сундуке! Людоед взял обронённую шкатулку, оценил её тяжесть и внимательно оглядел яму.
	Часть его головы была распухшей и синей, но я толком не рассмотрела.
	Пошла домой... Всю ночь я проплакала в подушку от злости.]],
	obj = { vobj(1,"дальше","{Дальше}.") },
	act = function()
		days._day = 3;
		objs(rLakeY):del(npcBtard);
		objs(rBabaEnter):add(npcBtard);
		ways(npcBtardDlg):del(rLakeY);
		npcBtardDlg:pon(70);
		npcBtardDlg:poff(1, 2, 3, 4, 10, 11, 12, 20, 30, 31, 32, 40, 41, 42, 43, 60, 61, 62, 63, 64, 65, 66);
		objs(rPalatka):add(oMachineGun);
		return goto('rBaba');
	end,
	enter = function(s)
		s.forcedsc = true;
	end,
};


resVeryBadEnd = room {
	nam = 'ОЧЕНЬ ПЛОХОЙ КОНЕЦ',
	dsc = 'ИГРА ПРОИГРАНА',
	obj = { 'oContinue', 'oEnd' },
	enter = function(s)
		s.forcedsc = true;
		inv():disable_all();
	end,
	exit = function(s)
		inv():enable_all();
	end,
};


resBadEnd = room {
	nam = 'ПЛОХОЙ КОНЕЦ',
	dsc = 'ИГРА ПРОИГРАНА',
	obj = { 'oContinue', 'oEnd' },	
	enter = function(s)
		s.forcedsc = true;
		inv():disable_all();
	end,
	exit = function(s)
		inv():enable_all();
	end,
};

oContinue = obj {
	nam = 'другие варианты',
	dsc = '{А если бы поступила иначе?}',
	act = function()
	      goto(npcDedDlg);
	      return 'Я в лапах маньяка.'	    
	end,
}

oEnd = obj {
	nam = 'конец игры',
	dsc = [[^^{История не терпит сослагательного наклонения!}]],
	act = function()
	     objs():del(oContinue);
	     objs():del(oEnd);
	     return 'История не терпит сослагательного наклонения!'
	end,
}

resMiliciya = room {
	nam = 'КОНЕЦ ИГРЫ',
	dsc = 
	[[Было уже поздно. За сегодняшний день я исходила все окрестности, чудом избежала 
	смерти от рук маньяка! Бегом отправилась домой к бабе Дусе.^
	У меня была одна простая мысль - как живой добраться до дома. Когда захлопнулась
	спасительная дверь бабы Дуси, я почувствовала нелепость того рассказа, который
	ей предстояло услышать. Но я рассказала. Старушка с неприязнью отнеслась к <<клевете
	на хорошего человека>>, потому что ей не нравилась идея позвать сюда полицию.
	Тогда я позвонила маме. Прощай, клад.^
	С тех пор меня ещё долго одну не пускали гулять даже во дворе, а про то, чтоб
	вернуться в Лиходеевку, никогда и речи не было. Людоеда не посадили из-за отсутствия
	улик. Следователя моя шишка ни в чём не убедила.
	]],
	enter = function(s)
		s.forcedsc = true;
		inv():disable_all();
	end
};


resSunduk = room {
	nam = 'Соседский дом',
	dsc = 
	[[Я прицелилась в деда из автомата и заорала:
	^- Отдай сундук! Заряжено! Убью, если не отдашь!!!
	^^Дед был в шоке, Семён тоже. Я ожидала какой угодно реакции, только не этой: дед поднял руки с выражением угодливости
	и искренней обиды.
	^- Отдам... Отдам! - бормотал Прохор, пробираюсь к погребу. - Там у меня... Отдам всё!
	^^Я не стала ему мешать и чувствовала себя ужасно. Семён пытался подойти, но я и на него заорала: убью, стой на месте!
	Прохор долго копался, но вылез с сундуком и положил его на пол.
	^- Видал? - я торжествующе посмотрела на Семёна. - Бери сундук и пойдём отсюда! Я говорила правду!
	^^Так легко всё получилось... Боже! Неужели всё закончилось, и мне удалось?! На улице я сразу же заглянула внутрь сундука.
	Честно говоря, немного разочаровалась. Пепельница, бусы, вилки вроде серебряные - но не разберёшь под слоем грязи. Несколько
	старинных монет. Я не так представляла себе бабушкин клад. Вряд ли эти вещи стоили слишком дорого. Но память о прошлом тоже ценна.
	Это бабушкины вещи,	старые, дешевые для всего мира, но дорогие мне! Такие мысли вертелись. Их прервал Семён, заглянувший через плечо:
	^- Из-за этой фигни ты всё устроила? Дура, отдай автомат!
	^- Ага, - я глупо улыбнулась и протянула ему оружие. - Я уезжаю сегодня вечером. Хочешь проводить, приходи на станцию в шесть. А сейчас я пошла домой. ]],
	obj = { vobj(1,"дальше","{Дальше}.") },
	act = function()
		inv():add(oSunduk);
		inv():del(oMachineGun);
		objs(rPalatka):add(oMachineGun);
    	objs(rDedDom):del(npcBtard);
    	objs(rWhiteStone):add(npcBtard);
    	game._fear = true;
    	game._semenUProhor = false;
    	npcDusaDlg:pon(25);
    	npcBtardDlg:pon(80);
		return goto('rBaba');
	end,
	enter = function(s)
		s.forcedsc = true;
	end
};


resPoezd = room {
    enter = function()
        resPoezd._Seen = true;
        resPoezd.forcedsc = true
    end,
	nam = function()
	    if resPoezd._Seen then
	    return 'КОНЕЦ ИГРЫ'
	    end
	    return 'Вагон'
	end,
	dsc = function()
	        if npcBtard._Nomer then
	            return [[Вагончик тронулся.
	^Здорово, что я нашла клад! Пусть он не оправдал моих надежд, но теперь я понимала, что
	это к лучшему. Ведь прабабушка писала, что ни за что бы не продала эти вещи. А я-то хотела
	разбогатеть! С богатством не сложилось, зато появились новые семейные реликвии.
	^А ещё у меня появился друг, что не менее ценно. Да и приключения запомнятся надолго.
	^Устроившись поудобнее у окошка, я с удовольствием рассматривала проплывающие мимо столбы и
	деревья. На душе было легко и празднично.]]
	        end
	        return [[Вагончик тронулся.
	^Здорово, что я нашла клад! Пусть он не оправдал моих надежд, но теперь я понимала, что
	это к лучшему. Ведь прабабушка писала, что ни за что бы не продала эти вещи. А я-то хотела
	разбогатеть! С богатством не сложилось, зато появились новые семейные реликвии. Да и приключения
	запомнятся надолго.
	^Устроившись поудобнее у окошка, я с удовольствием рассматривала проплывающие мимо столбы и
	деревья. На душе было легко и празднично.]]	
	end,
	
};


resMeshok = room {
    nam = 'КОНЕЦ ИГРЫ',
	dsc = function()
            if rStation._Late then
                return 
	[[Мешочек тяжеленький. Развязала мокрую верёвку. Золотые кольца, серьги со
	сверкающими на солнце камушками, браслет с жемчужинами, золотые броши... Это что ж получается?..
	^Я НАШЛА НАСТОЯЩИЙ КЛАД!!!
	^Очевидно, дело было так. Обнаружив драгоценности, Прохор смекнул, что такими
	вещами не разбрасываются. Я непременно захочу вернуть сундук, не сама, так с полицией.
	Но скорее всего, я не знаю, что в сундуке. Следовательно, можно подменить золото на дешёвые
	безделушки, лишь бы	они выглядели старыми! И можно отдавать сундук законному владельцу. Вот почему
	он так легко подчинился. Настоящие же драгоценности Прохор спрятал на дне озера. Если бы не вилка,
	которую он обронил с лодки несколькими днями раньше, если бы не тот огурец... Я бы ничего не
	заподозрела! О, наивность!
	^^Прячу мешочек и начинаю двигаться к берегу. На поезд я уже опоздала, но ничего страшного.
	В конце концов, пропустить 1 сентября - чем ни приятный бонус к нахождению сокровища?]]
	        end
	        return 
	[[Мешочек тяжеленький. Развязала мокрую верёвку. Золотые кольца, серьги со
	сверкающими на солнце камушками, браслет с жемчужинами, золотые броши... Это что ж получается?..
	^Я НАШЛА НАСТОЯЩИЙ КЛАД!!!
	^Очевидно, дело было так. Обнаружив драгоценности, Прохор смекнул, что такими
	вещами не разбрасываются. Я непременно захочу вернуть сундук, не сама, так с полицией.
	Но скорее всего, я не знаю, что в сундуке. Следовательно, можно подменить золото на дешёвые
	безделушки, лишь бы	они выглядели старыми! И можно отдавать сундук законному владельцу. Вот почему
	он так легко подчинился. Настоящие же драгоценности Прохор спрятал на дне озера. Если бы не вилка,
	которую он обронил с лодки несколькими днями раньше, если бы не тот огурец... Я бы ничего не
	заподозрела! О, наивность!
	^^Прячу мешочек и начинаю двигаться к берегу. Меня ждёт поезд! 
	]]
	end,
	enter = function(s)
		s.forcedsc = true;
	end,
};



dofile("npc.lua");
dofile("veschi.lua");
dofile("nature.lua");
