rPole = room {
	nam = 'Поле',
	dsc = [[ Когда-то тут был колхоз и росла пшеница, а теперь это просто огромная равнина, поросшая разнотравьем 
		и окружённая густым лесом. Кое-где видны следы небольших покосов. По краю леса бежит тропинка в Лиходеевку.]],
	obj = { 'oPoleCherep', 'oPoleTraktor' },
	way = {'rLesS', 'rDerevnya'},
	exit = function()
	    if oPatrony._Kop then
	        oPatrony._Vykop = true
	    end
	end,
};

oPoleCherep = obj {
	nam = 'череп',
	dsc = 'Валяется {козлиный череп}.',
	act = 'Мощные рога, оскаленные зубы... Брр, гадость!',
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'С опаской тронула череп лопатой.'
	        end
	end,
};


oPoleTraktor = obj {
	nam = 'трактор',
	dsc = function()
	         if have(oKarta) and not oPatrony._Kop then
	            return 'Метрах в трёх от него сгорбился проржавевший трактор. Врос колёсами в чёрную, подсохшую {грязь}.'
	         end
	         return 'Метрах в трёх от него сгорбился проржавевший {трактор}. Врос колёсами в чёрную, подсохшую грязь.'
	end,
	act = function()
	        if have(oKarta) and not oPatrony._Kop then
	          return 'Громадные колеи от колёс образуют крутой склон горы в миниатюре. Копать здесь легко.'
	        end
	          return 'Заглянула сквозь мутные толстые стёкла - пусто. Скорее всего, машина давно брошена.'
	end,
	used = function(s, b)
	        if b == 'oLopata' and ((not have(oKarta) and not oPatrony._Kop) or oPatrony._Vykop) then
	            return 'Ну да, теперь его только лопатами из грязи выкапывать! Но не моя это забота.'
	        end
	end,
};

------------------------------------------------------------------------

rStation = room {
    enter = function()
            if have(oSunduk) and not rStation._Late then
                objs(rWhiteStone):del(npcBtard);
                objs(rStation):add(npcBtard);
                ways(rStation):add(resPoezd);
                npcBtardDlg:pon(86);
                rStation._Time = true;
                return 'Три часа быстро пролетели. Вот уже и поезд подъехал. Он будет стоять на станции 20 минут.'
            end
            if rStation._Late then
                return 'Поезд скоро отправляется. Надо поспешить!'
            end
    end,
	nam = function()
		return CndRet(me().where == 'rLesY', 'Дальше', 'Станция')
	end,
	dsc = [[Станция имеет вид небольшой платформы, посреди лесного массива. 
		Нитка рельсов уходит в обе стороны от платформы и скрывается за деревьями.]],
	obj = {'oStationNaves'},
	way = {'rLesY', 'rDerevnya'},
	exit = function()
	    if rStation._Time then
	       rStation._Late = true
	    end
	end,
};

oStationNaves = obj {
	nam = 'навес',
	dsc = 'От одного конца платформы бежит тропинка в деревню. В другом конце устроен {навес от дождя.}',
	_seen = false;
	act = function(s)
		local add_descr = '';
		if not s._seen then
			add_descr = ' На стене навеса висит расписание.';
			s._seen = true;
			objs():add('oStationRasp');
		end
		return 'Навес построен давно. Силикатные кирпичи, из которых он сложен, посерели и потрескались. Шиферная крыша поросла мхом и изрядно прохудилась.'..add_descr;
	end,
};


oStationRasp = obj {
	nam = 'расписание',
	dsc = 'На стене навеса висит {расписание}.',
	act = function(s) 
		if days._day == 1 then
			return 'Следующий поезд через два дня.'
		elseif days._day == 2 then
			return 'Следующий поезд завтра.'
		end
		return 'Сегодня уже надо домой.'
	end
};

--------------------------------------------------------------------------
rLesS = room {
    nam = function(s)
		return CndRet(me().where == 'rLesS', 'В лесу', 'Лес')
	end,
    dsc = [[Кроны вековых деревьев не смыкаются, позволяя проникать солнечному свету. В детстве мне представлялось,
		что лучи засыхают на стволах, и так получается очередная пластинка сосновой коры. ]],
	obj = {'oLesChernikaS', 'oLesVetkiS', 'oLesPenS', 'oLesRyabinkaS', 'oLesElS', 'oGribPodosinovik', 'oLesElnikS' },
	way = {},
	enter = function(s, f)
		-- Если мы были в 
		ways(s):del('rPole');
		ways(s):del('rLakeSZ');
		ways(s):del('rLakeS');
		ways(s):del('rLesRodnik');
		ways(s):del('rLesSecretS');
		-- Случайно добавляем одну из перечисленных локаций
		if not game._canDigThreasure then
		    ways(s):add(RandomLocation('rPole', 'rLakeSZ', 'rLakeS', 'rLesRodnik'))
		end;
		
		if game._canDigThreasure then
	 --	ways(s):del(RandomLocation('rPole', 'rLakeSZ', 'rLakeS', 'rLesRodnik'));
		ways(s):add(RandomLocation('rPole', 'rLakeSZ', 'rLakeS', 'rLesRodnik', 'rLesSecretS'))
		end;

		if f == 'rPole' then
			return 'Вошла в лес со стороны поля.'
		elseif f == 'rLesRodnik' then
			return 'Я вошла в лес от родника.'
		elseif f == 'rLakeS' then
			return 'Я вошла в лес от пляжа.'
		elseif f == 'rLakeSZ' then
			return 'Я вошла в лес от устья ручейка.'
		elseif f == 'rIzbushka' then
			return 'Я вошла в лес от избушки лесника.'
		elseif f == 'rWhiteStone' then
			return 'Я вошла в лес от белого камня.'
		elseif f == 'rLesS' then
			return 'Брожу, брожу, а лес всё не кончается.'
		elseif f == 'rLesSecretS' then
			return 'Запомнив тропку, вновь углубляюсь в лес.'
		end
 	--	return 'ОШИБКА, с этой стороны ('..f..') в лес попасть нельзя!';
	end,
	exit = function(s, t)
		if t == 'rPole' then
			return 'Вышла к полю.'
		elseif t == 'rLesRodnik' then
			return 'Вышла к роднику.'
		elseif t == 'rLakeS' then
			return 'Неожиданно показалось озеро.'
		elseif t == 'rLakeSZ' then
			return 'Неожиданно показалось озеро.'
		elseif t == 'rLesSecretS' then
			return 'Спускаюсь в низинку.'
		elseif t == 'rLesS' then
			return '' -- Ничего не говорим
		end
 	--return 'ОШИБКА, сюда ('..t..') из леса попасть нельзя!';
	end,
	
};

oLesChernikaS = obj {
	nam = 'черника',
	dsc = 'Сухо, много {черники}.',
	act = 'Кустиков много, а с ягодами туговато.',
};


oLesVetkiS = obj {
	nam = 'веточка',
	dsc = 'Куча {сухих веток} с побелевшей хвоёй.',
	act = function()
	    if oKora._Korpus and not have(oLakeVetki) and not oKora._Machta and not have(oLesVetkiS) then
	        inv():add(oLesVetkiS)
	        return 'Отломала приглянувшуюся ветку.'
	    end
	    return 'Шмыг! Пёстрая спинка ящерицы пропала среди веток.'
	end,
	inv = function()
	        if oLesVetkiS._Knife then
	        return 'Прямая веточка, обработанная ножом.'
	        end
	        return 'Небольшая сосновая ветка, прямая и прочная.'
	end,
	use = function(s, b)
	    if b == 'oKnife' and not oLesVetkiS._Knife then
	        oLesVetkiS._Knife = true;
	        return 'Обрезала мелкие сучки.'
	    end
	    if b == 'oKnife' and oLesVetkiS._Knife then
	       return 'Хватит, я уже обрезала сучки.'
	    end
	end,
	used = function(s, b)
	    if b == 'oKnife' and not oLesVetkiS._Knife then
	        oLesVetkiS._Knife = true;
	        return 'Обрезала мелкие сучки и хвоинки.'
	    end
	    if b == 'oKnife' and oLesVetkiS._Knife then
	       return 'Хватит, я уже обрезала сучки.'
	    end
	end,
};

oLesPenS = obj {
	nam = 'пень',
	dsc = 'Массивный пень густо покрыт {трутовиками}, грибы едва ли не лепятся друг на дружку.',
	act = [[С нижней стороны они напоминают белые губки, которые так и хочется 
		расковырять палочкой или просто потрогать, проверяя на мягкость, хотя на самом деле они вполне себе
		твёрдые.]],
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Не буду портить красоту.'
	        end
	end,
};

oLesRyabinkaS = obj {
	nam = 'рябинка',
	dsc = 'Подлеска практически нет, попалась единственная {рябинка}.',
	act = 'Листья слегка покраснели, а вот поживиться нечем.',
};

oLesElS = obj {
	nam = 'ёлочка',
	dsc = 'А вон {ёлочка}.',
	act = 'Так и хочется обвешать её новогодней мишурой!',
};

oLesElnikS = obj {
	nam = 'ельник',
	dsc = 'Спустившись с небольшой возвышенности, я стою перед сплошной стеной {ельника}.',
	act = 'Пройти можно, только ломая ветки, а они ко всему ещё и колючие.',
};

------------------------------------------------------------------------------


rLesY = room {
        nam = function(s)
		return CndRet(me().where == 'rLesY', 'В лесу', 'Лес')
	end,
        dsc = [[Вокруг заболоченный лес. Бывает, между корнями попадаются совсем сырые места. Вода, скрытая травой, хлюпает
		и чавкает. Думается, это озеро подтекает сюда под землёй и по капиллярам почвы поднимается наверх. Хотя, конечно,
		всё наоборот! Грунтовые воды питают его.]],
	obj = { 'oLesYBeryoza', 'oLesYOsina', 'oLesYKusty', 'oLesYValezhnik', 'oLesYLyutiki', 'oGribLisichka'},
	way = {},
	enter = function(s, f)
		-- Если мы были в 
		-- Случайно добавляем одну из перечисленных локаций
		ways(s):del('rStation');
		ways(s):del('rLakeYV');
		ways(s):del('rLakeY');
		ways(s):del('rLakeYZ');
		ways(s):del('rLesSecretY');
		ways(s):add(RandomLocation('rStation', 'rLakeYV', 'rLakeY', 'rLakeYZ', 'rLesSecretY'));
		
		if f == 'rStation' then
			return [[Станцию от леса отделяет поляна. Пробираюсь по ней, трава по пояс. Я как лодка, идущая
				сквозь тростник. С шуршанием высокие, сочные стебли
				и узкие листья раздвигаются по сторонам или подминяются под ноги...^
				Блин! Предательская канава!! Чуть ногу не подвернула.
				Была бы без резиновых сапог, так ещё бы и промокла!]]
		elseif f == 'rLakeYV' then
			return [[Оставив позади черепаший камень, захожу в лес. А если бы я была не человек, а муравей? Худенькие
			рахитические сосенки, вон те, были бы на самом деле хвощами; ольха - стеблями лопуха. На ней неряшливое
			воронье гнездо, плетёное из веток, - точь-в-точь репейник!..]]
		elseif f == 'rLakeY' then
			return [[Раздвигая ветви, проникаю по ту сторону ивняка. Осока перемешалась с порослью; вытянутые листочки
			будущих деревьев выглядывают и чуть ли не становятся на задние лапки, как котята, чтоб не забыли об их важности!]]
		elseif f == 'rLakeYZ' then
			return [[Нельзя теперь летать в облаках, надо всё отмечать и запоминать; я вошла в лес от старой сосны...]]
		elseif f == 'rIzbushka' then
			return [[Избушка лесника осталась за спиной. Я двигаюсь в сторону, где виднеются высохшие ёлки:
			белые, будто насекомые, опутанные и высосанные пауком...]]
		elseif f == 'rLesY' then
			return 'Брожу, брожу, а лес всё не кончается.'
		elseif f == 'rLesSecretY' then
			return 'Запомнив тропку, вновь углубляюсь в лес.'
		end
--		return 'ОШИБКА, с этой стороны ('..f..') в лес попасть нельзя!';
	end,
	exit = function(s, t)
		if t == 'rStation' then
			return 'Вот тебе и раз, к станции вышла.'
		elseif t == 'rLakeYV' then
			return 'Показалось озеро.'
		elseif t == 'rLakeY' then
			return 'Показалось озеро.'
		elseif t == 'rLakeYZ' then
			return 'Показалось озеро.'
		elseif t == 'rLesSecretY' then
			return 'Ух ты! Следы человеческой деятельности!'
		elseif t == 'rLesY' then
			return '' -- Ничего не говорим
		end
--		return 'ОШИБКА, сюда ('..t..') из леса попасть нельзя!';
	end,
};


oLesYBeryoza = obj {
	nam = 'берёзы',
	dsc = 'Попадаются пригорки, где высокие {берёзы}',
	act = 'Стволы снизу чёрные, как ножки у некоторых грибов.'
};

oLesYOsina = obj {
	nam = 'осина',
	dsc = 'и {осины} смыкаются над головой.',
	act = [[Уже порядком пожелтели. Листики трепещут от небольшого ветерка...^
		Так, в случае войны с вампирами оружие будем брать здесь.]]
};


oLesYKusty = obj {
	nam = 'кусты',
	dsc = 'Под ними то тут то там заросли {кустов} и подлеска. Пахнет грибами и сыростью.',
	act = 'Совершенно не видно перспективы. Напролом сквозь кусты продираться не хочется, а плутая между ними, недолго и заблудиться.'
};


oLesYValezhnik = obj {
	nam = 'валежник',
	dsc = 'Земля усыпана {валежником}.',
	act = [[Трухлявые, почти смешавшиеся с почвой ветви иногда хрустят под ногами. 
		Лежат разлагающиеся стволы упавших деревьев. Почему-то всегда поперёк дороги. :)]]
};

oLesYLyutiki = obj {
	nam = 'лютики',
	dsc = [[На открытых местах ещё греются на солнце {жёлтенькие цветочки}.]],
	act = [[Можно вспомнить ботанику. Жёлтые широкие лепестки и множество пестиков и тычинок, пальчато-рассечённые листья
		 - это, должно быть, лютиковые.]]
};


-----------------------------------------------------------------------

rLesSecretS = room {
    enter = function(s, f)
		-- Случайно добавляем одну из перечисленных локаций
		ways(s):add(RandomLocation('rLesS', 'rLakeS'))
    end,
    nam = 'Яма',
    dsc = [[ В лесу я, что дворовый кот в городе: глазею по сторонам и ищу для себя какой-то пользы.
		Глубинная же суть его жизни проходит мимо моего сознания.]],
	obj = { 'oOkop', 'oLesSecretMohS', 'oLesSecretBrusnikaS', 'oLesSecretPapopotnikS' },
	way = {  },
};


oOkop = obj {
	_diged = false,
	nam = 'окоп',
	dsc = CndAction('_diged', 'Старый {окоп} окружён отвалами убранной земли.', 'Старый {окоп}? Или просто непонятная яма?'),
	act = [[Тянется шагов на пять в длину и постепенно сходит на нет.]],
	used = function(s, b)
	        if b == 'oLopata' and oBones._Vetki then
	            return 'Здесь больше копать не надо.'
	        end
	        
	        if b == 'oLopata' and oMedalon._Seen and not oBones._Vetki then
	            oBones._Vetki = true;
	                if game._follow then	            
	                    return 'Мы аккуратно засыпали яму и прикрыли землю еловыми ветками.'
	                end
	            return 'Аккуратно засыпала яму и прикрыла землю еловыми ветками.'
	        end
	
	        if b == 'oLopata' and not oMedalon._Seen then
	            oLesSecretMohS._Kop = true;
	            objs():add(oBones);
	            return [[Поглядим, что здесь. Пришлось поработать лопатой. Наткнувшись на кости,
	            остановилась. Стоит ли нарушать покой усопших?]]
	        end
	end,
};


oBones = obj {
	nam = 'кости',
	dsc = function()
	        if oBones._Vetki then
	            return '{Яма}, вырытая ранее, закопана, её вообще не видно под еловыми ветками.'
	        end
	       return 'На дне окопа в разрытой яме виднеются пожелтевшие человеческие {кости}.'
	end,
	act = function()
	        if oMedalon._Seen then
	            return 'Здесь я нашла кости...'
	        end
	        
	        if not oMedalon._Seen then
	            objs():add(oMedalon);
	            oMedalon._Seen = true;	        
	            return 'Неожиданно замечаю небольшой предмет.'
	        end
	end,
	used = function(s, b)
	        if b == 'oLopata' and oBones._Vetki then
	            return 'Здесь больше копать не надо.'
	        end
	         
	        if b == 'oLopata' and not oBones._Vetki then
	            oBones._Vetki = true;
	            objs():del(oMedalon);
	            if game._follow then	            
	                return 'Мы аккуратно засыпали яму и прикрыли землю еловыми ветками.'
	            end
	            return 'Аккуратно засыпала яму и прикрыла землю еловыми ветками.'
	        end
	end,
};


oMedalon = obj {
	nam = 'медальон',
	dsc = 'Среди них {круглый предмет} чёрного цвета.',
	tak = function()
	        objs():add(oMedalon);
	        if game._follow then
	            oMedalon._SemenSeen = true
	        end;
	        return [[ Это солдатский смертный медальон, футляр круглой формы с винтовой крыжкой.
	        В него вложена бумажка. Она вполне сохранилась, можно разобрать ФИО, год и место рождения,
	        воинскую часть, звание, должность. ]]
	end,
	inv = [[ Cолдатский смертный медальон, футляр круглой формы с винтовой крыжкой.
	        В него вложена бумажка. Она вполне сохранилась, можно разобрать ФИО, год и место рождения,
	        воинскую часть, звание, должность. ]],
	use = function(s, b)
	        if b == 'npcBtard' then
	            inv():del(oMedalon);
	            oMedalon._Semen = true;
	                if me().where == 'rLesSecretS' then
	                    return [[- Смотри, что я нашла, - показываю медальон Семёну.
	                    ^Он прочитал бумажку.
	                    ^- Это мой прадед! - Семён вдоль и поперёк исследовал листок и рассказал мне,
	                    что истинной целью его поездки были поиски информации об этом человеке. В войну часть,
	                    в которой служил прадед Семёна, вела здесь бои, и он был объявлен без вести пропавшим. ]]
	                end
	            return [[- Смотри, что я нашла, - показываю медальон Семёну.
	            ^Он прочитал бумажку.
	            ^- Это мой прадед! - Семён вдоль и поперёк исследовал листок и рассказал мне,
	            что истинной целью его поездки были поиски информации об этом человеке. В войну часть,
	            в которой служил прадед Семёна, вела здесь бои, и он был объявлен без вести пропавшим.
	            Мне пришлось долго объяснять, где я нашла окоп. ]]
	        end
	end,
};


oLesSecretStubS = obj {
	nam = 'заглушка',
	dsc = 'Неподалёку начинаются ',
};


oLesSecretMohS = obj {
	nam = 'мох',
	dsc = function()
	        if oLesSecretMohS._Kop then
	            return 'Перекопанный {моховой ковёр} выстилает дно ямы и постепенно переходит в '
	        end
	        return '{Моховой ковёр} выстилает дно ямы и постепенно переходит в '
	end,
	act = [[Это подкладка у леса, также как у пальто. Сфагнум сверху похож на тысячу примкнувших друг к другу зелёных звёздочек!]],
	used = function(s, b)
	        if b == 'oLopata' then
	            oLesSecretMohS._Kop = true;
	        end
	        
	        if b == 'oLopata' and oBones._Vetki then
	            return 'Здесь больше копать не надо.'
	        end
	        
	        if b == 'oLopata' and oMedalon._Seen and not oBones._Vetki then
	            oBones._Vetki = true;
	                if game._follow then	            
	                    return 'Мы аккуратно засыпали яму и прикрыли землю еловыми ветками.'
	                end
	            return 'Аккуратно засыпала яму и прикрыла землю еловыми ветками.'
	        end
	
	        if b == 'oLopata' and not oMedalon._Seen then
	            objs():add(oBones);
	            return [[Поглядим, что здесь. Пришлось поработать лопатой. Наткнувшись на кости,
	            остановилась. Стоит ли нарушать покой усопших?]]
	        end       
	            
	end,
};

oLesSecretBrusnikaS = obj {
	nam = 'брусника',
	dsc = function()
	        if oLesSecretBrusnikaS._Kop then
	            return 'заросли {брусники}, заметно поредевшие в результате раскопок.'
	        end
	        return 'заросли {брусники}, которая, кстати, уже созрела.'
	end,
	act = [[Тёмно-красные бусинки разбросаны по земле на невысоких ножках с плотными листиками. Встречаются ягоды с
		белым бочком - этих есть ещё не надо.]],
	used = function(s, b)
	        if b == 'oLopata' then
	            oLesSecretBrusnikaS._Kop = true;
	            return 'Раскопки ничего не дали.'
	        end
	 end,
};

oLesSecretPapopotnikS = obj {
	nam = 'папоротник',
	dsc = 'Дальше царствует {папоротник}.',
	act = [[Первый раз вижу, каким он бывает в преддверии осени - раскидистые листья начали буреть.
		Когда идёшь через такое зыбкое море - совершенно не видно, куда ступаешь.]],
	used = function(s, b)
	        if b == 'oLopata' and not have(oWarZnak) then
	            objs():add(oWarZnak);
	            return 'Почему бы не копнуть среди папоротника?'
	        end
	        if b == 'oLopata' and have(oWarZnak) then
	            return 'Здесь уже раскопано. Я нашла значок. Возможно, есть и ещё что-то, но кости мне найти не очень хочется.'
	        end
	 end,
};


---------------------------------------------------------------------------

rLesSecretY = room {
    enter = function(s, f)
		-- Случайно добавляем одну из перечисленных локаций
		ways(s):add(RandomLocation('rLesY', 'rLakeY'))
    end,
    nam = function(s)
        return CndRet(me().where == 'rLesY', 'Дальше', 'Сросшиеся берёзы')
	end,
	_grabHole = false,
	act = function (s, w)
		if w == 1 then 
			return 'Как будто великая рогатина...'
		elseif w == 2 then 
			if not _grabHole then
				_grabHole = true;
				objs():add(oLesSecretYSeti);
				return 'Опа! А тут что-то лежит!'
			end
			return [[Когда-то здесь кто-то жил типа лисицы, а теперь - рыболовская заначка. 
				Какие-то старые крючки, грузила, стеклянная баночка для червяков 
				с комочками высохшей земли на дне.]]
		end
	end,
    dsc = [[Среди облепленных паутиной кустов лещины притаилась небольшая полянка.]],
	obj = { 
		vobj(1, 'берёзы', 'Посреди полянки {две массивные берёзы} срослись стволами.'),
		vobj(2, 'нора', 'В корнях берёз темнеет {нора}.'),
		 'oVesla','oGribBorovik' },
    used = function(s, b)
        if b == 'oLesSecretYSeti' then
            objs():add(oLesSecretYSeti);
            inv():del(oLesSecretYSeti);
            return 'Вернула на место.'
         end
    end,
	way = {  },
};


oLesSecretYSeti = obj {
	nam = 'сети',
	dsc = [[Обнаружена ценная браконьерская заначка: {сети}.]],
	tak = [[Не простые, однако ж. Ха! Это <<телевизор>> для ловли рыбы. Эффективен, как сеть, но ждать долго не надо после того,
		как закинул.]],
	inv = [[<<Телевизор>> для ловли рыбы. Эффективен, как сеть, но ждать долго не надо после того,
		как закинул.]],
    use = function(s, b)
        if b == 'oLakeVoda' and not have(oRyba) then
            inv():add(oRyba);
            return [[Раз он в море закинул невод, —
                    ^Пришел невод с одною тиной.
                    ^Он в другой раз закинул невод,
                    ^Пришел невод с травой морскою.
                    ^В третий раз закинул он невод, —
                    ^Пришел невод с одною рыбкой!]]
        end
        
        if b == 'oLakeVoda' and have(oRyba) then
            return [[Хватит пока!]]
        end
    end,
};

----------------------------------------------------------------------------

rLakeSZ = room {
	_seen = false,
        nam = function(s)
		if s._seen then
			return 'Устье ручья'
		end
		return CndRet(me().where == 'rLesRodnik', 'Вдоль ручья', 'Северо-западный берег')
	end,
        dsc = function(s)
		return WhereIsChurch()..[[Северо-западный берег озера. Своими мохнатыми, колкими лапами тянутся вниз
		высоченные ёлки. Земля густно усыпана хвоёй и шишками. В одном месте ёлки чуть отступают, давая место 
		багульнику и вереску.]]
	end,
	obj = {'oLakeTropa', 'oLakeVoronka', 'oLakeRuchey', 'oGribSiroezhka', 'oGribPodberezovik'},
	way = { 'rLakeZ', 'rLesS', 'rLesRodnik', 'rLakeS' },
	exit = function(s, t)
		s._seen = true;
	end,
};

oGribSiroezhka = obj {
	nam = 'сыроежка',
	dsc = 'У самой дорожки источенная червяками {сыроежка-переросток}.',
	act = 'Она такая ветхая, что боюсь даже трогать.',
	used = function(s, b)
	    if b == 'oLopata' then
	        return [[О, нет! Пусть лучше червяки съедят!]]
	    end	    
	end,
};



oGribLisichka = obj {
	_isEatenGrib = true,
	nam = 'лисички',
	dsc = 'Кое-где во мху попадаются {россыпи лисичек}.',
	act = function()
	        if not oGribLisichka._Get then
	            oGribLisichka._Get = true;
	            inv():add(oGriby);
	            return 'Рыженькие красавицы. Такие хорошенькие, такие вкусные!'
	        end
	        return 'Рыженькие красавицы.'
	end,
	used = function(s, b)
	    if (b == 'oLopata' or b == 'oKnife') and not oGribLisichka._Get then
	       oGribLisichka._Get = true;
	       inv():add(oGriby);
	       return 'Возьму-ка штучек шесть.'
	    elseif b == 'oLopata' or b == 'oKnife' then
	        return 'Да пусть себе растут.'
	    end 
	end,
};


oGribPodberezovik = obj {
	_isEatenGrib = true,
	nam = 'подберёзовики',
	dsc = 'Рядом несколько {подберёзовиков}.',
	act = function()
	        inv():add(oGriby);
	        objs():del(oGribPodberezovik);
	        return 'Такие красивые! Выглядят очень аппетитно. Осторожно, стараясь не повредить грибницу, выдёргиваю грибы из земли.'
	end,
	used = function(s, b)
	    if (b == 'oLopata' or b == 'oKnife') then
	       inv():add(oGriby);
	       objs():del(oGribPodberezovik);
	       return 'Собираю грибы.'
	    end 
	end,
};

oGribBorovik = obj {
	_isEatenGrib = true,
	nam = 'белый гриб',
	dsc = 'Неподалёку {белый гриб} стыдливо прикрылся сухим листочком. А вот ещё один!',
	act = function()
	        inv():add(oGriby);
	        objs():del(oGribBorovik);
	        return 'Моё почтение Царским Величествам! Съесть вас - великая честь для человека.'
	end,
	used = function(s, b)
	    if (b == 'oLopata' or b == 'oKnife') then
	       inv():add(oGriby);
	       objs():del(oGribBorovik)
	       return 'Полезай в кузовок!'
	    end 
	end,
	
};


oGribPodosinovik = obj {
	_isEatenGrib = true,
	nam = 'подосиновики',
	dsc = 'Из мха торчат круглые шляпки {подосиновиков}.',
	act = function()
	        if not oGribPodosinovik._Get then
	            oGribPodosinovik._Get = true;
	            inv():add(oGriby);
	            return 'Такие интересно резать при готовке: мякоть гриба синеет. Сорвала несколько грибов.'
	        end
	        return 'Остались совсем крохотные. Шляпки ещё не раскрылись и плотно охватывают пухлые ножки.'
	end,
	used = function(s, b)
	    if (b == 'oLopata' or b == 'oKnife') and not oGribPodosinovik._Get then
	       oGribPodosinovik._Get = true;
	       inv():add(oGriby);
	       return 'Набрала подосиновиков.'
	    elseif b == 'oLopata' or b == 'oKnife' then
	        return 'Пускай подрастут. Остались совсем крохотные.'
	    end 
	end,
};


oLakeVoronka = obj {
	_seen = 0;
	nam = 'воронка',
	dsc = function(s)
		if s._seen == 1 then
			return 'Неподалёку {заросшая терновником яма},'
		elseif s._seen == 2 then
			return 'Неподалёку заросшая терновником {воронка от снаряда},'
		end
		return 'Неподалёку расположились заросли {терновника},';
	end,
	act = function(s)
		if s._seen == 0 then
			s._seen = 1;
			return 'В кустах терновника обнаружилась неглубокая яма.'
		elseif s._seen == 1 then
			s._seen = 2;
			-- Включаем опцию диалога
			npcDusaDlg:pon(7);
			return 'Яма небольшой глубины имеет округлую в плане и коническую в сечении форму. Очень похоже на воронку от снаряда или бомбы.'
		end
		return 'Поросшая терновником воронка от снаряда сохраняет узнаваемую форму, не смотря на прошедшие со времён войны десятилетия.'
	end,
	used = function(s, b)
	    if b == 'oLopata' and not have(oWarBomb) then
	        objs():add(oWarBomb);
	        return [[Пятнадцать минут пыхтения, и я кое-что откопала. ]]
	    end
	    if b == 'oLopata' and have(oWarBomb) then
	        return [[Тут я уже копала, нашла гнутую железку. ]]
	    end
	end,
};

oLakeRuchey = obj {
	nam = 'ручей',
	dsc = 'здесь же в озеро впадает {ручеёк}.',
	act = 'Вода в ручье прозрачная, чистая и холодная. Видимо, где-то недалеко родник.',
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Не закопано ли что-нибудь на дне ручья? Слишком мокро проверять и холодно!'
	        end
	end,
	
};

----------------------------------------------------------------------------------
rLesRodnik = room {
	nam = function(s)
		if s._seen then
			return 'Родник'
		end
		return 'Вверх по ручью'
	end,
	_seen = false,
	dsc = [[ Ручей змеится между деревьями. Я иду вверх по течению, перескакивая с берега на берег. Хорошо виден
		срез почвы. Песочное <<тесто>> намазано сверху тоненьким слоем перегноя да пышным <<кремом>> черники. Всюду
		по склонам ручейка выглядывают корни.]],
	obj = { 'oRodnikSklon', 'oRodnikMuravejnik', 'oRodnikLuzha' },
	way = { 'rLakeSZ', 'rLesS' },
	enter = function(s, t)
		s._seen = true;
	end,

};

oRodnikSklon = obj {
	nam = 'склон',
	dsc = 'Подхожу к {каменистому склону} небольшого холма.',
	act = 'Камни белого цвета, матовые, различных форм и размеров - известняк.',
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Слишком твёрдо, чтоб копать.'
	        end
	end,
};

oRodnikMuravejnik = obj {
	nam = 'муравейник',
	dsc = [[У его подножия шагах в пяти от воды {муравейник} - и во все
		стороны ведут оживлённые муравьиные тропки. Где-то недалеко поёт птица, но я их по голосам не различаю.]],
	act = 'Очередной муравьиный фараон захотел себе пирамиду, всё понятно!',
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Разоряют муравейники только нехорошие люди.'
	        end
	end,
};

oRodnikLuzha = obj {
	nam = 'лужа',
	dsc = [[Здесь всё и начинается. Из камешков сочится подземная вода,
		скапливается в глубокую, прозрачную {лужу} и, весело журча, ручей устремляется к озеру.]],
	act = 'Крупные камешки играют роль плотины.',
	used = function(s, b)
	        if b == 'oLopata' then
	            return 'Убрала один камень лопатой, и вода из лужи бурным потоком хлынула вниз!'
	        end
	end,
};

---------------------------------------------------------------------------
rLakeS = room {
	_seen = false,
	enter = function()
	            if oDedOchki._Get and not (days._day > 2 and not have(oSunduk)) and not (days._day > 2 and not have(oWaterVilka)) then
	                return [[ Захотелось искупаться. Одела было уже подводные очки, но здесь мелко, лучше с лодки нырять! ]]
	            end
	end,
    nam = function(s)
	        if s._seen then
			    return 'Пляж'
		    end
		return 'Северный берег'
	end,
    dsc = function(s)
		return WhereIsChurch()..[[На северном берегу расположен пляж, который виден почти отовсюду с берега озера. 
		Здесь лес несколько отступает от озера, образуя поляну.]]..
		CndRet(game._placeFound, ' На картине несомненно было именно это место.', '')
	end,
	obj = { 'oLakePlazh', 'oLakeRogoz', 'oLakeTropa', 'oLakeDub', 'oLakeKachel' },
	way = { 'rLakeSZ', 'rLesS', 'rLakeSV' },
	exit = function(s, t)
		s._seen = true;
	end,
};

oLakeRogoz = obj {
	nam = 'рогоз',
	dsc = 'По сторонам подступает {рогоз}.',
	act = 'Обожаю эти будто бы плюшевые чёрные початочки!'
};


oLakeDub = obj {
	nam = 'дуб',
	dsc = 'На поляне стоит грандиозный, величественный {дуб}.',
	act = 'Ствол в три моих обхвата, не меньше!'
};

oLakeKachel = obj {
	nam = 'качели',	
	dsc = 'Под ним стоят {качели}.',
	_state = 0,
	act = function(s)
		if s._state == 0 then
			s._state = 1;
			return 'Водопроводная труба согнута огромной буквой П и вкопана в землю. К поперечине на верёвках привязана досочка.'
		elseif s._state == 1 then
			s._state = 2;
			return 'Явный новодел, дачники что ли этим летом поставили?'
		else
			s._state = 0;
			return 'Села, покачалась... Последние дни лета, тепло, лёгкий освежающий ветерок, умиротворённый вид на озеро... Ах! Романтика!'
		end
	end,
};

--------------------------------------------------------------------------
rLakeSV = room {
	_seen = false,
        nam = function(s)
		if s._seen then
			return 'Заросли камыша'
		end
		return 'Северо-восточный берег'
	end,
        dsc = function(s)
		return WhereIsChurch()..[[Cеверо-восточный берег озера зарос камышом. Ни к воде толком не подойти, ни в лес не попасть.]]
	end,
	obj = {'oLakeKorni', 'oLakeTropa', 'oLakeKamysh' },
	way = { 'rLakeS', 'rLakeV' },
	exit = function(s, t)
		s._seen = true;
	end,
};

oLakeKamysh = obj {
	nam = 'камыш',
	dsc = '{камыша}.',
	act = 'Камышовые стебли увенчаны пушистыми кисточками, многие из них под два-три метра высотой.'
};

oLakeKorni = obj {
	nam = 'корни',
	dsc = 'Под ногами выступают {скрюченные корни}.',
	act = 'Многолетние наслоения камышовых корневищ образуют неровную, предательскую поверхность. Того и гляди - или в воду оступишься или ногу подвернёшь.',
    used = function(s, b)
        if b == 'oLopata' then
            return 'Здесь особо не покопаешь!'
        end
    end,
};


---------------------------------------------------------------------------
rLakeZ = room {
	_seen = false,
	nam = function(s)
		if s._seen then
			return 'Бурелом'
		end
		return 'Западный берег'
	end,
	dsc = function(s)
		return WhereIsChurch()..[[На западном берегу в лес не войти при всём желании - такой бурелом! Сам чёрт ногу сломит.]]
	end,
	obj = {'oBumaga2', 'oLakeVetki', 'oLakeTropa', 'oLakeTown'},
	way = { 'rLakeYZ', 'rLakeSZ' },
	exit = function(s, t)
		s._seen = true;
		if t == 'rIzbushka' and game._fear then
			return 'К этой ужасной избушке? Нет!', false
		end
	end,
};


oLakeVetki = obj {
	nam = 'ветка',
	dsc = 'Груда переплетённых {стволов и сухих ветвей} мешает углубиться в лес.',
	act = function()
	    if oKora._Korpus and not have(oLakeVetki) and not oKora._Machta and not have(oLesVetkiS) then
	        inv():add(oLakeVetki)
	        return 'Отломала приглянувшуюся сухую ветку.'
	    end
	    return [[Кроме всего прочего всё поросло частым и густым подлеском, так что пройти
		нереально. Остаётся лишь гадать, какой смерч породил эту естественную преграду.]]
	end,
	inv = function()
	        if oLakeVetki._Knife then
	        return 'Прямая ветка, обработанная ножом.'
	        end
	        return 'Небольшая ветка, прямая и прочная.'
	end,
	use = function(s, b)
	    if b == 'oKnife' and not oLakeVetki._Knife then
	        oLakeVetki._Knife = true;
	        return 'Обрезала мелкие сучки.'
	    end
	    if b == 'oKnife' and oLakeVetki._Knife then
	       return 'Хватит, я уже обрезала сучки.'
	    end
	end,
	used = function(s, b)
	    if b == 'oKnife' and not oLakeVetki._Knife then
	        oLakeVetki._Knife = true;
	        return 'Обрезала мелкие сучки.'
	    end
	    if b == 'oKnife' and oLakeVetki._Knife then
	       return 'Хватит, я уже обрезала сучки.'
	    end
	end,
};


oLakeLaz = obj {
	nam = 'Лаз',
	dsc = 'Среди ветвей спрятался {звериный лаз}.',
	act = [[Неприметный низкий звериный лаз, уводящий в глубь леса к избушке лесника.]],	
};

oLakeTown = obj {
	nam = 'ракушечный город',
	dsc = 'У воды много сухого камыша и красуется построенный детьми {городок из ракушек}. Однако сейчас здесь безлюдно.',
	act = 'Если отрешиться от масштаба, то при известной фантазии город принимает жутковатые инопланетные очертания. Бррррр... Представила - и аж мороз по коже.',
	used = function(s, b)
	        if b == 'oLopata' and not have(oBumaga1) and not have(oKarta) and not have(oPatrony) and not oMachineGun._Test then
	            objs():add(oBumaga1);	        
	            return [[Спускаюсь к воде и начинаю археологические раскопки. Нахожу <<секретик>>: под ракушками
	            и камышом спрятано цветное стёклышко. Под ним лежит обрывок бумаги. ]]
	        elseif b == 'oLopata' then
	            return 'М-да... Копать, не перекопать!'
	        end
	end,
};


---------------------------------------------------------------------------
rWater = room {
        enter = function()
            if oDedOchki._Get and not have (oWaterVilka) then
                objs(rWater):add(oWaterVilka)
            end
            if oDedOchki._Get and have (oSunduk) then
                objs(rWater):add(oWaterMesok)
            end
            if oDedOchki._Get then
                objs(rWater):add(oWaterDno)
            end
            if not oDedOchki._Get then
                objs(rWater):del(oWaterDno)
            end
        end,
        nam = 'Вода',
        dsc = [[Искупаться? А что, идея! Раздеваюсь до трусов и майки и бултыхаюсь в воду,
        стараясь не сильно качнуть лодку. Не хватало мне ещё отправить на дно морское
        все свои шмотки.
        ^Аааа, вода холодная!!!! ]],
	    obj = { 'oLodka' },
	    way = { 'rLake' },
	    exit = function(s, t)
		       return [[ Вылезла из воды мокрая и замёрзшая курица! ]]
		end,
};

oWaterDno = obj {
	nam = 'дно',
	dsc = [[ Ныряю на самую глубину! Дно хорошее, не слишком илистое.]],
};


oWaterVilka = obj {
	nam = 'вилка',
	dsc = [[Среди водорослей замечаю {вилку} с надетым на неё огурцом.]],
	tak = [[Огурец слизкий и противный, почти сгнил. Выбросила его подальше. Вилочка старинная, с узорами. Грязная, но симпотичная.]],
	inv = 'Вилка, найденная на дне озера.',
	use = function(s, b)
	        if b == 'oSunduk' then
	               oWaterVilka._Sunduk = true;
	               return [[ Сравниваю вилку, найденную на дне озера, с теми, что в сундуке.
	               Они похожи, как две капли воды! Подозрительно.
	               ^Вилку в озеро уронили не так давно, об этом говорит полуразложившийся
	               огурец, который я выбросила. Но явно это произошло раньше, чем я откопала клад.
	               ^Случайное совпадение - просто одинаковые вилки?
	               ^Или с моим сундучком что-то не чисто?! ]]
	        end
	end,
	used = function(s, b)
	        if b == 'oSunduk' then
	               oWaterVilka._Sunduk = true;
	               return [[ Сравниваю вилку, найденную на дне озера, с теми, что в сундуке.
	               Они похожи, как две капли воды! Подозрительно.
	               ^Вилку в озеро уронили не так давно, об этом говорит полуразложившийся
	               огурец, который я выбросила. Но явно это произошло раньше, чем я откопала клад.
	               ^Случайное совпадение - просто одинаковые вилки?
	               ^Или с моим сундучком что-то не чисто?! ]]
	        end
	end,		
};

oWaterMesok = obj {
	nam = 'мешок',
	dsc = [[Вижу {мешок}, зацепившийся за подводную корягу.]],
	tak = function()
	        return goto(resMeshok)
	end,
	inv = 'Мешочек с драгоценностями! Чего только нет: золотые кольца, серьги со сверкающими на солнце камушками, браслет с жемчужинами, золотые броши.',	
};

--------------------------------------------------------------------
rLake = room {
        nam = function()
                if me().where == 'rWater' then
                    return 'Лодка'
                end
                return 'Посреди озера'
        end,
        dsc = [[Кататься на лодке очень приятно. Йо-хо-хо и бутылка рома!]],
	    obj = {'oLakeVoda', 'oLakeNaytiPrichal'},
	    way = {'rWater' },
	    exit = function(s, t)
		        if not (t == 'rWater') then
		        put(objs():del('oLodka'), t);
		        end
		        
		        if t == 'rWater' and days._day > 2 and not oWaterVilka._Sunduk then
		            return 'Умный в воду не пойдёт, умный воду обойдёт! Там же холодно.', false
		        elseif t == 'rWater' and days._day > 2 and not have(oSunduk) then
		            return 'Слишком расстроена. Не хочу плавать.', false		       	            
		        end
		end,
};

oLakeVoda = obj {
	nam = 'вода',
	dsc = 'журчит {вода}.',
	act = 'В прозрачной глубине видны водоросли. Среди них нет-нет да и блеснёт рыбий бок.'
};

oLakeNaytiPrichal = obj {
	nam = 'куда',
	dsc = 'Плыви, {куда хочешь}!',
	act = function(s)
		objs():del(s)
		ways():add('rLakeYZ');
		ways():add('rLakeS');
		ways():add('rLakeV');
		ways():add('rLakeSZ');
		ways():add('rLakeYV');
		return [[Осмотрелась. Кроме <<порта>>, из которого я отправилась, пристать можно к мосткам, на пляже и ещё в паре мест. Остальной берег густо зарос растительностью.]]
	end
};

-----------------------------------------------------------------------------
rLakeV = room {
	_seen = false,
    nam = function(s)
		if s._seen then
			return 'Мостки'
		end
		return 'Лес у деревни'
	end,
        dsc = function(s)
		if not oShip._Voda then
		    return WhereIsChurch()..[[Какая прелесть! За небольшим пролеском открывается озеро 
		почти правильной формы. Оно напоминает гигантскую чашу, утопающую во мху - 
		густой растительности окружающего леса.^Сейчас я на восточном берегу.]]
		end
		return WhereIsChurch()..[[Какая прелесть! За небольшим пролеском открывается озеро 
		почти правильной формы. Оно напоминает гигантскую чашу, утопающую во мху - 
		густой растительности окружающего леса.^Сейчас я на восточном берегу.]]..RandomLocation(
		                ' Вижу мой кораблик: ветер гонит его к южному берегу.',
		                ' Стойте, а где мой кораблик? Фух, вот он, среди кувшинок!',
		                ' По озеру плавает моё детище - кораблик из сосновой коры.')
		
	end,
	obj = {'oLakeMostki', 'oLakeTropa', 'oLakePlazh'},
	way = {'rLakeYV', 'rDerevnya', 'rLakeSV'},
	exit = function(s, t)
		s._seen = true;
	end,

};

oLakeMostki = obj {
	nam = 'мостки',
	dsc = 'Прямо передо мной {мостки} для полоскания белья. От них бежит тропинка в деревню.',
	act = 'Шаткие мосточки из серых трухлявых досок. Ими давно не пользовались. '
};

oLakeTropa = obj {
	nam = 'тропинка',
	dsc = function(s)
		if me().where == 'rLakeV' then
			return 'Другая {тропинка} бежит вдоль берега вокруг озера.'
		elseif me().where == 'rLakeY' then
			return '{Тропинка} извивается среди зарослей ивняка.';
		elseif me().where == 'rLakeYZ' then
			return '{Тропинка} огибает корни, прижимаясь к самой воде.';
		elseif me().where == 'rLakeZ' then
			return [[{Тропинка} проходит вдоль леса довольно далеко от берега, но подмытый склон
				начинается почти под ногами.]]
		elseif me().where == 'rLakeSV' then
			return '{Тропинка} петляет, огибая топкие места, в коридоре из'
		elseif me().where == 'rLakeS' then
			return '{Тропа} широкой дугой огибает пляж и уходит дальше.'
		end
		return 'Вдоль берега вокруг озера бежит {тропинка}.'
	end,
	act = 'Где натоптанная, где не очень. Похоже, тропинка используется больше животными, чем людьми.'
};

oLakePlazh = obj {
	nam = 'пляж',
	dsc = function(s) 
		if me().where == 'rLakeV' then
			return 'Справа видно белесое пятно {пляжа}.'
		elseif me().where == 'rLakeY' then
			return 'Сквозь кусты прямо напротив на другом берегу виден {пляж}.';
		elseif me().where == 'rLakeYZ' then
			return 'Напротив за озером видны верхушки колодезных журавлей, а чуть левее - {пляж}.';
		elseif me().where == 'rLakeS' then
			return 'Естественный {песчаный пляжик} имеет весьма удобный подход к воде.'
		end
		return 'ОШИБКА - ОТСЮДА ПЛЯЖ НЕ ВИДЕН!!!'
	end,
	act = function(s)
		if me().where == 'rLakeS' then
			local d = rnd(100);
			if d < 33 then
				return 'Вдоль кромки воды устроились лягушки, по поверхности скользят жучки водомерки, а в прозрачной глубине проплывают стайки мальков.'
			elseif d < 66 then
				return 'Жаль мелковато, нет места, где можно нырнуть с разбега сразу в глубину...'
			end
			return 'Разулась и зашла в воду по колено. Поверху-то тепло, а чуть глубже - и вода уже ледяная.' 
				
		end
		return 'Хотя формально ещё конец лета, купаться, пожалуй, холодновато. Или искупаться? Никак не решу!'
	end,
	used = function(s, b)
	    if b == 'oLopata' and me().where == 'rLakeS' then
	        return 'Копаться на пляже - самое милое дело, но я нахожу в песке только камешки и ракушки.'
        elseif b == 'oLopata' then
            return 'Пляж видно, но лопатой его не достать.'
        end
    end,
	
};

-------------------------------------------------------------------------
rLakeYZ = room {
	_seen = false,
    nam = function(s)
		return CndRet(me().where == 'rLesY', 'Дальше', CndRet(s._seen, 'Лодочная стоянка', 'Юго-западный берег'))
	end,
    dsc = function(s)
		return WhereIsChurch()..[[С юго-запада деревья подступают к озеру совсем близко.]]
	end,
	obj = { 'oLakeSosna', 'oLakeTropa', 'oKora', 'oLodka', 'oLakeKuvshinki', 'oLakePlazh'},
	way = { 'rLakeZ', 'rLesY', 'rLakeY' },
	exit = function(s, t)
		s._seen = true;
	end,
};

oLakeSosna = obj {
	nam = 'сосна',
	dsc = 'Огромная сухая {сосна} готова рухнуть в воду.',
	act = 'Гладкие белые ветви напоминают изогнутые кости, корни свисают косматой древесной бородой.',
};


oShip = obj {
	nam = 'кораблик',
	dsc = 'По волнам скользит {мой кораблик}.',
	act = 'Слишком далеко, не достать.',
	inv = 'Мой самодельный кораблик из подручных материалов.',
	use = function(s, b)
	    if b == 'npcBtard' or b == 'npcDusa' then
	        return 'Не буду хвастаться, я скромная!'
	    end
	    if b == 'npcDed' then
	    return 'Не хочу ему показывать кораблик.'
	    end
	    if b == 'oLakeVoda' then
            inv():del(oShip);
            objs(rLake):add(oShip);
            oShip._Voda = true;
            return 'Запустила кораблик в плавание!'
        end
        if b == 'oRodnikLuzha' then
            inv():del(oShip);
            objs(rLake):add(oShip);
            oShip._Voda = true;
            return 'Ого, моему судёнышку придётся преодолеть порожистый горный поток! Надеюсь, не перевернётся. Пустила кораблик по ручью! Скоро он достигнет озера.'
        end
        if b == 'oLakeRuchey' then
            inv():del(oShip);
            objs(rLake):add(oShip);
            oShip._Voda = true;
            return 'Бережно опустила кораблик в ручей и легонько подтолкнула. Всё, отправился к озеру!'
        end       
	 end,
};


oKora = obj {
	nam = function()
	        if oKora._Korpus then
	            return 'заготовка'
	        end
	        return 'кора'
	end,
	dsc = function()
	    if oKora._Ship then
	        return 'Куски коры осыпались с сосны и лежат на земле причудливым узором.'
	    end
	    return 'Вокруг валяется множество кусков {коры}.'
	end,
    act = ActTakeOnce(s, 'Куски коры осыпались с сосны и лежат на земле причудливым узором.', 'Подбираю большой кусок коры.'), 
    inv = function()
            if oKora._Machta then
                return 'Корабельный корпус с мачтой.'
            elseif oKora._Korpus then
                 return 'Корабельный корпус, изготовленный из сосновой коры.'
            end
            return 'Большой кусок сосновой коры.'
    end,
    use = function(s, b)
        if b == 'oKnife' and not oKora._Korpus then
            oKora._Korpus = true;
            return 'Из этого куска коры получится прекрасный кораблик. Обрезала ножом неровные края, придав корпусу нужную форму, сделала отверстие для мачты.'
        end
        
        if b == 'oKnife' and oKora._Korpus then
            return 'Ещё немного подровняла корпус.'
        end
        
        if (b == 'oLakeVoda' or b == 'oRodnikLuzha' or b == 'oLakeRuchey') and not oKora._Ship then
            return 'Кораблик ещё не готов!'
        end
        
                
        if (b == 'oLesVetkiS' or b == 'oLakeVetki') and oKora._Korpus then
            oKora._Machta = true;
            inv():del(oLesVetkiS);
            inv():del(oLakeVetki);
            return 'Вставила мачту в дырочку в корпусе.'
        end
        
        if (b == 'oLesVetkiS' or b == 'oLakeVetki') and oKora._Korpus then
            return 'Сначала нужно сделать дырочку в куске коры.'
        end
        
        if b == 'oGazeta' and oKora._Machta then
            oKora._Ship = true;
            inv():del(oGazeta);
            inv():del(oKora);
            inv():add(oShip);
            return 'Ура! Прикрепила парус, и кораблик готов!'
        end
        
        if b == 'oGazeta' and (not oKora._Machta or not oKora._Korpus) then
            return 'Хочу сделать кораблик. Хм, ну и как тут укрепить парус?'
        end
        
    end,
    used = function(s, b)
        if b == 'oKnife' and not oKora._Korpus and have(oKora) then
            oKora._Korpus = true;
            return 'Из этого куска получится прекрасный кораблик. Обрезала ножом неровные края, придав корпусу нужную форму.'
        end
        
        if b == 'oKnife' and oKora._Korpus then
            return 'Ещё немного подровняла корпус.'
        end
        
        if (b == 'oLesVetkiS' or b == 'oLakeVetki') and oKora._Korpus then
            oKora._Machta = true;
            inv():del(oLesVetkiS);
            inv():del(oLakeVetki);
            return 'Вставила мачту в дырочку в корпусе.'
        end
        
        if (b == 'oLesVetkiS' or b == 'oLakeVetki') and oKora._Korpus then
            return 'Сначала нужно сделать дырочку в куске коры.'
        end
        
        if b == 'oGazeta' and oKora._Machta then
            oKora._Ship = true;
            inv():del(oGazeta);
            inv():del(oKora);
            inv():add(oShip);
            return 'Ура! Прикрепила парус, и кораблик готов!'
        end
        
        if b == 'oGazeta' and (not oKora._Machta or not oKora._Korpus) then
            return 'Хочу сделать кораблик. Хм, ну и как тут укрепить парус?'
        end
    end,
};



oLodka = obj {
	nam = 'лодка',
	_seen = false,
	_float = false,
	_vesla = false,
	dsc = function(s)
		if me().where == 'rLake' then
			return 'Под носом {лодки}'
		end
		if me().where == 'rWater' then
			return '{Лодка} покачивается и медленно удаляется от меня.'
		end
		if s._float then
			local d = 'Воткнувшись в берег носом, стоит {лодка}'
			if s._vesla then
				return d..' с вёслами.'
			end;
			return d..'.'
		end
		return 'Возле дерева лежит {лодка}. Заметные повреждения отсутствуют.'
	end,
	act = function(s)
		if me().where == 'rLake' or me().where == 'rWater' then
			return 'Отличная, хорошо просмолённая плоскодонка. Течи практически нет!'
		end
		if not s._seen then
			s._seen = true;
			-- добавляем предметы
			putto('oShest', 'rLakeZ', 2);
			-- Добавляем опции в диалог
			npcDusaDlg:pon(12);
			npcDedDlg:pon(3);
		end
		if not (s._vesla or inv():look('oShest') or inv():look('oLopata') or inv():look('oVesla')) then
			return 'Крепкая с виду плоскодонка. Только вокруг - ни вёсел ни шеста.' 
		elseif not s._float then
			s._float = true;
			return 'Крепкая с виду плоскодонка. Попробую столкнуть в воду... Получилось! Можно покататься.'
		end
		if s._vesla then
			return DoStartBoat(s, 'Оттолкнулась от берега веслом...^');
		end
		return 'Чем-то надо оттолкнуться от берега.'
	end
};



oShest = obj {
	nam = function(s)
		return CndRet(s._ready, 'шест', 'длинная ветка')
	end,
	dsc = 'Среди прочего выделяется {длинная жердь}.',
	inv = function(s)
		return CndRet(s._ready, 'Длинный прямой прочный шест. Сама сделала!', 'Просто длинная ветка, почти прямая и достаточно прочная.')
	end,
	tak = 'Взяла. Из этого может получиться хороший шест.',
   	_ready = false,
	use = function(s, w)
		if w == 'oLodka' and ref(w)._float and not ref(w)._vesla then
			return DoStartBoat(ref(w), 'Оттолкнулась от берега и медленно поплыла, упираясь в дно '..CndRet(s._ready,'шестом', 'веткой')..'...^')
		elseif (w == 'oLakeKoza') and IsLakeKoza() then
			objs():del(ref(w));
			return '- А ну пошла! Пошла! - погоняя козу '..CndRet(s._ready,'шестом', 'веткой')..', прогнала её подальше в лес.'
		end
	end,
}; 

oVesla = obj {
	nam = 'вёсла',
	dsc = 'Рядом в густой траве лежат {вёсла}.',
	act = function(s)
		if oLodka._seen then
			-- Удаляем, если ещё не взяли сами
			objs('rLakeZ'):del('oShest');
			-- Удаляем опции из диалога
			npcDusaDlg:prem(12);
			npcDedDlg:prem(3);
			take(s);
			return 'Ага! Они-то мне и нужны! Теперь накатаюсь.'
		end;
		return s.inv
	end,
	inv = 'Самодельные деревянные вёсла. В общем-то, больше похоже на две грубо оструганные доски плоские с одной стороны и с подобием рукоятки на другом.',
	use = function(s, w)
		if w == 'oLodka' then 
			if ref(w)._float then
				inv():del(s);
				ref(w)._vesla = true;
				return 'Вставила вёсла в уключины, буду плавать быстрее.'
			end
			return 'Надо сначала столкнуть лодку на воду.'
		elseif (w == 'oLakeKoza') and IsLakeKoza() then
			objs():del(ref(w));
			return '- А веслом не хочешь? - пошла в атаку на козу, выставив вперёд весло. Наша взяла. Подпрыгивая и обиженно мекая, коза умчалась в чащу леса.'
		end
	end,

}; 

oLakeKuvshinki = obj {
	nam = 'кувшинки',
	dsc = function()
	        if oShip._Voda then
	            return 'На воде полно листьев {кувшинок}. О, а вот и мой кораблик горделиво покачивается на волнах!'
	        end
	        return 'На воде полно листьев {кувшинок}.'
	end,
	act = 'Листья есть, а цветов не видно. Впрочем, с берега всё равно было бы не достать.'
};

------------------------------------------------------------------------
rLakeY = room {
	_seen = false,
        nam = function(s)
		return CndRet(me().where == 'rLesY', 
				'Дальше',
				CndRet(s._seen, 
					CndRet(game._babaSay and not  game._wrongPlace, 'Бывшая церковь', 'Кусты ивняка'), 
					'Южный берег')
		)
	end,
        dsc = function(s)
		return WhereIsChurch()..[[ Южный берег озера занимает смешанный лес. Сначала преобладают хвойные, но чем дальше, тем меньше ёлок
		и больше берёз. Идти становится труднее, я не очень люблю продираться через кусты.]]..
		CndRet(game._babaSay and not game._wrongPlace, '^^По словам бабы Дуси, церковь была где-то здесь.', '')
	end,
	 -- огород откроется после разговора с бабкой
	obj = {'oLakeTropa', 'oLakePlazh'},
	way = { 'rLakeYZ', 'rLesY', 'rLakeYV' },
	exit = function(s, t)
		s._seen = true;
	end,
};

oLakeOgorod = obj {
	nam = 'огород',
	dsc = 'В лесу дальше от берега лежит скрытый в траве {гнилой забор}.',
	_seen = false,
	act = function(s)
		if game._wrongPlace then
			return 'Похоже, здесь просто был чей-то огород.'
		elseif game._placeFound then
			return 'Всё поросло лопухами и осокой. Присутствует мой любимый зверобой, но он уже отцвёл.'
		end
		local nado_osmotretsa = '';
		if not s._seen then
			s._seen = true;
			nado_osmotretsa = ' Осмотрю-ка это место внимательнее.';
			objs():add('oWrongWhiteStone');
			oWrongWhiteStone:disable();
			objs():add('oLakeKoza');
		end
		return [[Всё поросло лопухами и осокой. Если церковь стояла здесь, то не много же
			 от неё осталось. Могла бы ещё неделю ходить и не замечать.]]..nado_osmotretsa;
	end,	
};

oLakeKoza = obj {
	nam = 'коза',
	_seen = 0,	
	dsc =  function(s)
		if s._seen > 0 then
			return 'Возле него одичавшая {коза} роет копытцем землю.'
		end
		return 'Ближе к берегу, в густых зарослях {кто-то шевелится}.'
	end,
	act = function(s)
		if s._seen == 0 then
			s._seen = 1;
			oWrongWhiteStone:enable();
			return 'Никогда не видела, чтобы козы в земле копались! Наверное, это добрый знак.'
		elseif s._seen == 1 then
			s._seen = 2;
			return 'Что-то взгляд у этой козы не очень добрый, и уходить она, похоже, не собирается!'
		elseif s._seen == 2 then
			s._seen = 3;
			return '- Машка, Машка, Машка! - Вот беда, не идёт! И даже капусты какой-нибудь нет, чтобы её выманить!'
		end
		s._seen = 1;
		return 'Если козу не прогнать, я рискую получить рогами под зад.'
	end,
};


oWrongWhiteStone = obj {
	nam = 'камень',
	dsc = 'У самого берега в гуще молодых ивовых побегов белеет верхушка {камня}.',
	_seen = false,
	_diged = false,
	act = function(s) 
		if s._seen then
			return 'Камень выступает из земли словно лысина большой головы, зарытой под землю.'
		end
		s._seen = true;
		return 'Это определённо тот самый камень. От него до остатков забора как раз около ста шагов и будет.'
	end,
};

--------------------------------------------------------------------------

rLakeYV = room {
	_seen = false,
    nam = function(s)
		return CndRet(me().where == 'rLesY', 'Дальше', CndRet(s._seen, 'Черепаший камень', 'Юго-восточный берег'))
	end,
    dsc = function(s)
		return WhereIsChurch()..[[Юго-восточный берег озера. С одной стороны вода, с другой - густой лес. Стройные сосны и горделивые, могучие берёзы 
		(я бы сказала берёзищи) почему-то наводят на мысли о шахматных фигурах. Земля довольно влажная.]]
	end,
	obj = {'oLakeTropa', 'oLakeWhiteStone', 'oTortila'},
	way = { 'rLakeY', 'rLesY', 'rLakeV' },
	exit = function(s, t)
		s._seen = true;
		if not objs():look('oTortila') then
			objs():add('oTortila');
		end
	end
};

oLakeWhiteStone = obj {
	nam = 'камень',
	dsc = 'Из воды недалеко от берега торчит {белый камень}.',
	act = function()
	        if days._day == 3 then
	            return 'Опасное место для лодок.'
	        end
	        return 'Если это ТОТ камень, моё путешествие напрасно. Впрочем, надо ещё убедиться.'
	        end,
	used = function(s, b)
        if b == 'oLopata' then
            return 'Здесь особо не покопаешь!'
        end
    end,
};


oTortila = obj {
	nam = 'черепаха',
	dsc = 'На камне греется {черепаха}.',
	act = function(s)
		objs():del(s);
		return 'При попытке приблизиться, черепаха плюхнулась в воду и исчезла в водорослях.'
	end,
	used = function(s, b)
        if b == 'oLopata' then
            return 'Черепаху чур не обижать.'
        end
    end,
};

-------------------- Разные ямы -----------------------------------------
oYamaWrongWhiteStone = obj {
	nam = 'яма',
	dsc = 'Вокруг него большая {яма}.',
	_seen = false,
	act = function(s)
	    if days._day == 3 then
		return 'Сначала копала я, потом Семён. Вид такой, будто на этом месте состоялся съезд Партии Землекопов!'
		end
		if game._wrongPlace and not s._seen then
			s._seen = true;
			return 'Я тут уже всё перекопала. Похоже, бабка просто уже ничего не помнит, а мне наврала, чтобы я отстала!'
		end		
		return 'Глубокая яма в чёрной влажной земле. Фактически, я успела обрыть камень со всех сторон, прежде чем что-то нашла.'
	end,
	used = function(s, b)
        if b == 'oLopata' then
            return 'Здесь я уже копала.'
        end
    end,
};

